SystemOrganization addCategory: #AMP!

WebApplication subclass: #AMPDownloadSongApp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPDownloadSongApp methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 14:10'!
viewMain
	| |
	^WebNonHTMLResource new aidaContentType: 'audio/mpeg'; filename:  self observee fullname
						! !

WebApplication subclass: #AMPMusicPlayerApp
	instanceVariableNames: 'fileStreams'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayerApp class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 16:23'!
register
	| x amp hostname ip siteName |

	amp _ AMPMusicPlayer new.
	
	hostname:= '*'. 
	ip := '*'.

	siteName := 'mysite'.
	(AIDASite named: siteName) isNil ifTrue: [
		x _ AIDASite new name: siteName.
		x  host: hostname ip: ip port: 8000.
		SwazooServer singleton addSite: x.
		SwazooServer startSite: siteName.	].		

	(AIDASite named: siteName)  styleClass: 'AMPWebStyle'.	
	(AIDASite named: siteName) urlResolver defaultURL: '/' forObject: amp.
	AIDASite default: siteName.! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'lw 11/9/2010 19:11'!
action

	self fileStreams do: [ :stream |
		stream ifNotNil: [ stream close ].
		self fileStreams 
			remove: stream 
			ifAbsent: [ "do nothing" ]]! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'lw 11/9/2010 19:03'!
addFileStream: aStream

	self fileStreams add: aStream.
	^aStream
! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 15:10'!
clear
! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 12:31'!
clickEventFor:aEntry
|e|
e := WebElement new.
e style: ''.
e addTextBold: 'play'.
Transcript show: 'clickEventFor', aEntry.
^e
! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'lw 11/9/2010 19:02'!
fileStreams
	^fileStreams! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'lw 11/9/2010 19:08'!
initialize

	fileStreams := OrderedCollection new.! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 15:32'!
viewMain
	| e rootDir |
	e _ WebElement new.
	rootDir := self observee rootDirectory.
	e add: (AMPFolderElement unfoldedFor: rootDir playingOn: self observee).
	e add: (AMPStopButton for: self observee).
	self style pageFrameWith: e title:'AMP - Aida Music Player'.! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 14:07'!
viewSound
	| |
	^WebNonHTMLResource new aidaContentType: 'audio/mpeg'; filename:'E:\HPI\01WhiteWidow.mp3'.
						! !

WebElement subclass: #AMPWebAudioElement
	instanceVariableNames: 'source'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPWebAudioElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 15:04'!
linkToSource
	^ (AIDASite named:'mysite') urlResolver halfUrlFor: source.! !

!AMPWebAudioElement methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 14:18'!
printHTMLPageOn: aStream for: aRequest on: aSession
	source notNil ifTrue: [ aStream nextPutAll: '<audio src="',  
		self linkToSource , 
		'" controls="controls">	Your browser does not support the audio element.</audio>'.]
! !

!AMPWebAudioElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 14:52'!
source: aSource
	source:=aSource! !

Object subclass: #AMPDownloadSong
	instanceVariableNames: 'fullname'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPDownloadSong methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 14:10'!
fullname
	^fullname! !

!AMPDownloadSong methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 14:10'!
fullname: aFullname
	fullname := aFullname! !

!AMPDownloadSong methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 15:34'!
preferedUrl
        ^'/songs/', self fullname onlyLetters , '.ogg'
! !

Object subclass: #AMPMusicPlayer
	instanceVariableNames: 'rootDirectory player'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayer class methodsFor: 'as yet unclassified' stamp: 'lw 11/8/2010 17:14'!
defaultPath
	^'Z:\'! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:59'!
initialize
	rootDirectory := FileDirectory forFileName:AMPMusicPlayer defaultPath.
	
	"AMPDirectory new for: AMPMusicPlayer defaultPath.
	rootDirectory openDirectory."! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:17'!
playSong: aFile
	self player stopPlaying.
	self player openFileNamed: aFile fullName.
	self player startPlaying.
! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/1/2010 18:07'!
player
	player ifNil: [player:=MPEGDisplayMorph new].
	^player! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:30'!
rootDirectory 
	^rootDirectory
! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:38'!
stopSong

	self player stopPlaying.
	! !

WebWidget subclass: #AMPFileElement
	instanceVariableNames: 'file stream player song'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPFileElement class methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 13:55'!
for: aFile playingOn: anAMPMusicPlayer
	
	| new |
	new := self new file: aFile.
	new player: anAMPMusicPlayer.
	^new! !

!AMPFileElement class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 11:24'!
new
	^ super new method: #ajaxStarter:.
! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 14:13'!
ajaxStarter: aString

	(aString = 'remote') 
		ifTrue: [
			self player playSong: self file.
			self stream: false]
		ifFalse: [
			song := AMPDownloadSong new.
			song fullname: self file fullName.
			self stream: true]
		! !

!AMPFileElement methodsFor: 'accessing' stamp: 'SW 11/3/2010 11:43'!
file
	^file! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 13:57'!
file:aFile
	file:= aFile! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:13'!
initialize

	super initialize.
	self stream: false.! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 13:16'!
player
	^player! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 13:16'!
player: anAMPMusicPlayer
	player:=anAMPMusicPlayer! !

!AMPFileElement methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 14:14'!
prepareToHTMLPrintOn: aSession

	| x |
	self initElements.
	self class:#file.
	self addText: self file name.
	self addSpace.
	(self addNilLinkText: 'play remote')
		onClickUpdate: self with: #remote; class: #playRemote.
	self addSpace.
	self stream 
		ifTrue: [		
			x := AMPWebAudioElement new source:song.	
			self add: x.
			]
		ifFalse: [
			(self addNilLinkText: 'stream')
				onClickUpdate: self with: #stream; class: #playStream]! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:10'!
stream
	^stream! !

!AMPFileElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:10'!
stream: aBoolean
	stream := aBoolean! !

WebWidget subclass: #AMPFileUploader
	instanceVariableNames: 'folder fileName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPFileUploader class methodsFor: 'as yet unclassified' stamp: 'lw 11/8/2010 17:51'!
for: aFolder

	^ self new 
		folder: aFolder; 
		yourself.! !

!AMPFileUploader class methodsFor: 'as yet unclassified' stamp: 'lw 11/8/2010 17:51'!
new
	^ super new method: #beUploader.! !

!AMPFileUploader methodsFor: 'initialization' stamp: 'lw 11/9/2010 19:13'!
beUploader
	
	self initElements.
	self add: (WebFileInputField 
				beforeStreamingDo: [ :aHTTPPostDatum | | stream |
					self fileName: aHTTPPostDatum filename.
					stream := self folder newFileNamed: self fileName.
					stream binary.
					aHTTPPostDatum writeStream: stream.
					self context parent addFileStream: stream ] 
				filenameAspect: #fileName 
				forObject: self).
	self addButtonText: 'Upload'! !

!AMPFileUploader methodsFor: 'accessing' stamp: 'lw 11/8/2010 18:51'!
fileName
	^fileName! !

!AMPFileUploader methodsFor: 'accessing-derived' stamp: 'lw 11/8/2010 19:25'!
fileName: aString

	(self folder fileExists: aString) 
		ifTrue: [self fileName: '_', aString]
		ifFalse: [fileName := aString].! !

!AMPFileUploader methodsFor: 'accessing' stamp: 'lw 11/8/2010 17:48'!
folder
	^folder! !

!AMPFileUploader methodsFor: 'accessing' stamp: 'lw 11/8/2010 17:48'!
folder: aFolder
	folder := aFolder! !

!AMPFileUploader methodsFor: 'initialization' stamp: 'SW 11/9/2010 15:15'!
initialize
	self class:'fileuploader'.
	(self addNilLinkText: 'add a File')
		onClickUpdate: self.! !

WebWidget subclass: #AMPFolderElement
	instanceVariableNames: 'folder player folded'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPFolderElement class methodsFor: 'instance creation' stamp: 'lw 11/3/2010 13:13'!
for: aFolder playingOn: anAMPMusicPlayer
	
	| new |
	new := self new folder: aFolder.
	new player: anAMPMusicPlayer.
	^new! !

!AMPFolderElement class methodsFor: 'instance creation' stamp: 'lw 11/3/2010 13:40'!
new
	^ super new method: #ajaxStarter.
! !

!AMPFolderElement class methodsFor: 'instance creation' stamp: 'lw 11/3/2010 14:23'!
unfoldedFor: aFolder playingOn: anAMPMusicPlayer
	
	| new |
	new := self new folder: aFolder.
	new player: anAMPMusicPlayer.
	new folded: false.
	^new! !

!AMPFolderElement methodsFor: 'events-ajax' stamp: 'lw 11/3/2010 14:24'!
ajaxStarter
	
	self folded: self folded not! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 13:52'!
displayFolded
	
	self initElements.
	(self addNilLinkText: '+ ')
		onClickUpdate: self.
	self addText: self folder localName.! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'lw 11/8/2010 18:38'!
displayUnfolded
	| content |
	self initElements.
	(self addNilLinkText: '- ')
		onClickUpdate: self.
	self addText: self folder localName.
	self add: (AMPFileUploader for: self folder).
	content := self add: WebElement new setDiv.
	(self folder entries select: [:entry | entry isDirectory ]) 
		do: [:entry |	
				content add: (AMPFolderElement for: entry asFileDirectory playingOn: self player)].
	(self folder entries select: [:entry | entry isDirectory not ]) 
		do: [:entry | 	
			({#mp3. #ogg. #wav} 
				includes: entry extension) 
					ifTrue: [
						content add: (AMPFileElement for: entry playingOn: self player)]]! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:25'!
folded
	^folded! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:25'!
folded: aBoolean
	folded := aBoolean! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 12:59'!
folder
	^folder! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 14:24'!
folder: aFolder
	folder:= aFolder! !

!AMPFolderElement methodsFor: 'initialization' stamp: 'lw 11/3/2010 14:26'!
initialize

	super initialize.
	self folded: true.! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 12:59'!
player
	^player! !

!AMPFolderElement methodsFor: 'accessing' stamp: 'lw 11/3/2010 12:57'!
player: aMusicPlayer
	player:=aMusicPlayer! !

!AMPFolderElement methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 13:56'!
prepareToHTMLPrintOn: aSession

	self class: #folder.
	self folded 
		ifTrue: [ self displayFolded ]
		ifFalse: [ self displayUnfolded ]! !

WebWidget subclass: #AMPStopButton
	instanceVariableNames: 'player'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPStopButton class methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:32'!
for: aPlayer

	^self new player: aPlayer! !

!AMPStopButton class methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:40'!
new

	^super new method: #ajaxStopPlayback! !

!AMPStopButton methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:44'!
ajaxStopPlayback

	self player stopSong! !

!AMPStopButton methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:44'!
initialize
	
	self method: #ajaxStopPlayback.
	(self addNilLinkText: 'stop')
		onClickUpdate: self! !

!AMPStopButton methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:25'!
player

	^player! !

!AMPStopButton methodsFor: 'as yet unclassified' stamp: 'lw 11/3/2010 12:24'!
player: aPlayer

	player := aPlayer! !

WebStyle subclass: #AMPWebStyle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPWebStyle methodsFor: 'imgs' stamp: 'SW 11/8/2010 12:57'!
AMPBannerJPG
^#(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 3 172 0 0 1 44 8 2 0 0 0 72 118 169 226 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 128 177 73 68 65 84 120 218 236 189 219 119 93 215 117 230 185 38 44 146 160 120 1 9 146 56 128 68 0 146 69 194 55 82 182 34 249 18 75 138 123 72 174 36 150 235 146 120 84 143 110 185 95 202 111 201 91 63 246 127 80 245 216 111 93 111 169 135 30 214 67 117 123 140 78 87 228 36 29 185 50 98 185 226 148 100 249 66 90 177 0 74 38 0 146 192 1 9 16 32 65 18 188 152 179 247 57 7 103 239 117 153 115 237 181 207 5 56 148 190 223 56 131 4 14 206 101 239 189 230 94 235 91 115 205 53 231 99 255 230 223 27 0 0 0 0 0 0 62 81 12 225 18 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 0 68 48 0 0 0 0 0 0 16 193 0 0 0 0 0 0 64 4 3 0 0 0 0 0 0 17 12 0 0 0 0 0 32 130 1 0 0 0 0 0 128 8 6 0 0 0 0 0 0 34 24 0 0 0 0 0 0 136 96 0 0 0 0 0 0 32 130 1 0 0 0 0 0 24 124 30 195 37 0 224 19 4 87 121 49 225 122 161 89 31 169 83 131 209 154 143 117 227 246 28 88 11 68 48 46 1 0 24 96 42 124 2 134 141 143 95 179 210 199 229 212 6 249 236 96 183 3 32 137 41 241 43 97 51 16 193 0 128 143 205 96 195 149 6 28 138 62 199 24 42 30 193 102 29 228 54 237 222 98 165 195 134 197 126 28 250 162 190 30 17 108 6 64 4 3 240 113 29 111 184 227 49 70 28 186 72 31 42 48 72 12 126 179 106 114 132 244 225 159 30 29 139 21 63 13 22 59 48 118 203 187 36 121 59 177 192 208 108 32 136 33 130 1 0 143 222 120 195 229 111 241 94 66 145 190 158 125 121 1 97 49 176 205 170 74 89 189 89 153 118 80 47 246 195 98 195 67 133 197 62 82 118 187 195 218 152 146 59 58 88 14 68 48 0 224 17 24 114 56 50 216 176 50 198 120 35 22 9 207 11 163 5 67 88 12 118 179 74 234 86 104 214 240 79 20 52 35 247 180 77 69 133 212 19 139 77 56 59 88 236 46 200 223 244 198 229 29 63 88 242 191 84 190 41 66 53 12 203 129 8 6 0 12 156 78 10 7 18 142 121 98 152 229 207 36 146 116 6 7 131 132 38 44 48 54 12 84 179 74 109 186 221 112 74 155 250 82 184 87 67 126 130 178 119 14 190 83 139 221 62 126 88 236 128 77 219 34 141 203 188 59 199 44 244 117 44 9 98 87 13 67 10 67 4 3 0 6 122 200 41 6 21 46 17 16 62 228 191 146 2 109 81 34 44 160 42 6 175 89 35 41 19 10 53 44 73 225 158 137 197 248 169 73 178 190 223 22 11 29 60 64 118 155 184 133 174 35 40 233 192 253 87 70 102 137 144 194 16 193 0 128 65 26 125 68 61 193 193 96 19 6 86 134 131 0 7 131 129 34 155 252 177 193 214 76 80 21 187 219 172 97 179 113 160 14 217 109 214 246 51 212 15 177 200 21 20 82 40 152 186 181 216 92 10 187 47 194 204 173 47 10 56 177 113 203 172 162 19 69 76 21 223 26 24 15 235 179 68 204 163 32 130 1 0 131 53 234 132 131 199 246 24 35 137 9 81 87 249 253 190 187 26 222 250 153 220 175 35 42 36 175 35 44 160 131 7 178 89 201 242 84 9 99 124 174 125 173 95 189 241 190 219 193 158 43 42 123 86 20 149 180 125 42 102 177 9 167 6 139 237 177 253 166 76 219 56 250 226 30 201 241 196 215 147 103 60 146 32 38 93 10 99 30 5 17 12 0 24 12 169 164 235 137 98 188 9 71 154 112 47 11 249 27 140 216 213 22 28 72 40 232 224 65 110 86 177 77 253 49 222 214 139 210 244 198 209 193 253 83 246 129 60 42 93 52 143 89 172 114 106 196 190 14 6 189 177 219 180 233 141 106 183 81 143 114 111 240 194 193 221 32 96 177 187 243 166 82 190 20 246 92 194 8 141 128 8 6 0 236 220 208 83 38 149 216 168 75 204 234 78 148 118 63 30 74 37 206 199 134 92 251 114 224 96 227 32 150 20 236 122 179 234 109 234 12 220 121 83 74 211 27 103 164 239 46 40 66 83 192 157 152 107 251 120 68 199 54 135 110 224 150 100 97 197 213 13 195 237 182 97 125 187 21 229 111 204 43 204 218 124 167 55 7 106 203 220 252 107 114 59 231 148 169 84 46 133 123 184 90 2 32 130 1 0 213 70 27 101 51 74 163 179 182 70 26 246 20 149 55 38 105 30 19 46 146 66 16 57 82 41 252 193 119 176 193 211 54 144 205 74 236 87 199 40 220 90 86 67 177 113 167 55 221 136 69 209 77 168 41 164 232 121 149 84 139 11 205 181 45 83 152 133 153 155 175 131 97 167 61 180 91 169 125 217 72 46 97 101 178 231 207 148 122 4 121 17 65 98 55 197 254 203 40 156 37 234 119 135 193 34 24 68 48 0 96 135 253 46 254 184 18 74 10 111 52 50 49 7 91 49 6 180 29 108 236 250 77 60 119 26 179 172 131 59 95 64 71 179 246 167 89 57 84 141 45 153 24 232 69 97 212 239 66 44 178 162 236 125 133 36 73 37 54 229 206 96 162 152 185 230 114 159 92 225 162 78 219 64 151 118 27 111 95 69 28 155 32 34 92 253 130 202 226 87 177 31 43 41 10 251 179 64 121 242 175 174 156 96 17 12 34 24 0 176 59 35 79 92 42 69 21 134 48 198 216 217 166 72 16 7 182 251 80 214 193 38 16 76 24 22 118 165 89 157 225 218 105 86 34 215 157 207 238 51 97 179 230 58 184 146 143 159 99 202 222 147 65 222 243 225 203 84 61 148 91 172 98 174 249 137 148 154 107 231 50 31 226 87 19 178 129 161 202 118 91 186 215 179 135 34 157 138 121 96 104 63 222 92 209 248 194 216 93 85 112 221 1 190 14 134 33 65 4 3 0 250 232 114 241 134 27 119 28 218 150 74 161 138 146 124 48 162 108 202 251 250 109 217 196 238 74 186 173 58 74 5 19 216 201 102 85 4 74 222 172 219 145 3 84 236 19 226 82 189 104 53 107 101 31 63 235 10 56 144 245 169 39 21 104 86 223 92 163 231 229 232 26 172 93 244 202 120 131 153 155 175 128 69 249 27 238 134 52 125 175 30 71 158 212 38 199 126 236 133 17 97 242 31 4 14 9 118 133 9 21 68 48 0 160 95 163 78 224 47 148 85 69 168 45 236 17 40 50 210 184 29 250 182 108 106 175 53 83 91 46 180 198 0 71 39 25 69 88 96 48 24 132 102 181 92 191 219 173 201 133 20 222 126 65 138 94 52 9 99 60 87 63 41 247 4 213 147 10 211 86 27 57 104 39 220 216 148 159 23 91 97 63 48 204 94 9 225 112 230 166 41 224 88 19 115 175 61 193 198 53 24 49 29 154 113 186 187 98 54 101 212 201 191 177 13 41 208 193 216 106 9 17 12 0 216 105 55 12 155 152 84 242 124 108 37 238 22 10 116 70 91 10 23 106 56 215 193 97 52 48 186 254 93 105 214 72 96 165 105 47 212 230 222 95 14 154 178 213 118 185 27 53 28 230 77 48 198 39 159 146 191 55 46 148 245 129 54 10 151 206 229 203 164 219 170 183 171 201 139 15 241 231 108 160 135 182 203 150 95 152 221 169 206 195 162 233 133 238 200 139 162 225 4 93 91 229 216 10 37 44 111 242 77 152 252 187 241 96 229 58 24 64 4 3 0 250 53 222 176 187 201 154 141 51 154 112 115 200 97 97 40 138 121 92 188 112 7 197 229 102 191 68 117 176 97 48 216 177 102 53 254 246 163 176 77 169 93 241 181 37 118 91 82 120 123 111 92 56 189 9 155 213 43 186 22 61 5 127 129 219 184 138 71 81 192 106 104 132 174 236 11 139 148 108 213 241 13 91 130 198 144 45 120 92 91 133 44 238 66 254 106 243 52 182 226 31 146 162 219 83 20 48 119 114 152 228 239 154 44 164 109 62 161 42 204 202 154 252 27 107 66 197 165 58 24 155 34 32 130 1 0 59 224 115 113 20 173 177 134 153 92 42 181 135 22 209 119 40 139 224 182 170 208 28 192 49 29 108 36 7 27 70 130 1 104 214 237 209 154 228 161 221 217 27 103 156 157 239 190 223 180 146 94 180 101 189 40 143 184 204 37 44 249 8 201 179 85 219 147 45 218 106 228 164 64 71 102 26 11 228 101 169 248 69 222 190 70 93 161 50 233 49 193 172 139 227 184 114 102 117 78 111 231 218 179 123 60 35 197 216 148 206 255 17 28 12 17 12 0 232 245 208 227 149 101 242 252 133 28 184 91 218 238 153 220 119 216 90 142 116 222 43 120 75 28 55 176 40 124 109 109 17 174 39 194 1 220 203 102 53 229 205 234 123 250 19 154 213 132 35 186 113 106 101 25 123 86 83 101 52 15 229 17 235 177 16 190 2 142 158 17 87 57 41 71 253 187 229 163 81 55 174 47 150 28 46 89 132 237 155 61 255 80 153 17 133 183 3 39 8 92 114 255 231 10 147 76 109 151 100 184 203 109 123 138 53 20 236 139 8 230 255 93 237 34 5 16 193 0 128 10 110 15 35 148 18 224 64 22 11 130 163 212 19 108 44 109 209 118 176 153 33 119 211 125 91 91 216 11 205 206 130 35 97 36 232 69 179 114 149 102 53 190 31 174 90 179 114 224 61 53 146 143 95 115 6 71 10 29 179 80 42 140 93 15 119 168 153 140 9 2 120 220 147 18 253 115 198 142 221 100 103 59 127 232 0 134 6 238 165 25 179 34 142 89 55 96 35 57 131 141 18 8 78 129 69 219 234 185 82 67 218 165 224 45 29 236 103 14 182 173 254 97 83 7 147 165 131 35 11 38 250 145 3 136 96 0 64 239 196 147 183 146 232 250 131 189 152 60 46 221 114 164 116 217 173 49 160 37 152 76 62 30 120 226 35 226 12 198 48 48 8 205 106 36 55 112 55 205 26 213 244 182 27 216 11 5 118 124 219 237 103 28 127 176 184 137 51 87 60 222 54 166 214 139 135 156 104 78 187 134 139 26 160 9 179 236 131 25 115 144 4 205 177 91 111 254 19 109 232 72 215 196 226 4 47 73 253 90 211 42 42 4 49 219 22 69 133 211 215 52 39 138 219 115 42 91 7 183 167 85 38 140 21 78 185 95 0 68 48 0 160 103 242 201 115 183 24 119 236 121 40 121 95 220 28 174 182 7 151 217 74 20 208 148 23 198 141 168 35 163 56 213 108 103 48 116 70 159 154 213 4 154 216 52 87 153 109 233 108 9 130 162 214 171 113 154 175 203 102 21 157 193 222 78 127 71 208 135 161 29 150 125 58 254 224 232 233 180 62 48 223 141 148 159 163 39 71 140 82 247 46 63 228 212 173 126 160 202 220 205 126 86 235 142 12 203 105 242 228 182 54 129 37 123 122 150 59 58 224 188 84 178 113 234 30 219 82 184 136 12 206 172 209 211 193 118 96 122 24 56 20 154 22 186 65 136 96 0 64 31 71 29 227 40 90 207 59 216 122 94 44 208 229 140 61 84 40 12 182 6 158 150 179 208 88 241 15 198 174 80 32 122 13 173 126 31 253 127 15 26 221 90 246 117 154 184 245 243 67 189 208 154 53 174 219 101 177 27 3 185 213 172 185 87 172 180 89 229 1 94 81 240 97 156 168 113 29 129 142 87 248 97 133 173 126 98 133 228 226 236 140 176 167 201 113 203 193 40 119 210 110 189 197 10 43 73 8 179 52 213 81 226 121 138 217 154 39 127 169 243 110 52 207 152 230 231 0 246 244 182 164 131 77 122 224 16 128 8 6 0 244 80 8 115 88 153 150 3 39 92 123 197 60 204 140 198 162 143 141 253 109 206 156 235 96 235 147 201 114 33 147 59 8 217 35 1 34 34 122 63 251 113 189 104 206 244 198 232 219 227 60 249 219 10 5 110 13 228 237 207 33 227 172 12 20 85 97 131 102 141 4 212 170 57 125 131 116 22 206 41 88 106 56 140 9 14 103 107 249 126 77 239 0 152 10 15 177 177 156 223 94 104 132 24 22 2 118 178 59 242 92 194 225 108 199 51 96 10 90 205 89 188 50 9 109 26 79 139 206 150 253 228 105 70 216 251 187 171 131 89 218 86 135 205 193 16 193 0 128 29 85 69 225 143 94 178 88 207 107 40 137 140 240 35 41 212 193 198 29 162 108 175 161 113 107 138 162 239 239 103 67 23 207 113 91 63 40 205 234 7 63 144 27 185 104 218 58 184 249 67 43 234 113 251 245 236 100 138 80 125 252 250 172 134 21 203 44 254 26 104 95 230 64 199 179 178 43 142 165 140 37 100 105 92 114 22 184 195 107 9 11 221 57 131 149 114 87 135 225 61 204 177 88 136 66 242 246 99 2 195 190 20 182 237 159 69 29 108 172 63 145 179 169 148 140 190 57 24 150 7 17 12 0 232 215 128 195 82 166 206 192 19 19 38 177 15 63 141 164 172 65 182 130 32 14 188 134 154 119 16 107 130 221 139 94 150 155 187 104 80 163 55 171 27 190 82 120 130 141 83 254 202 178 24 63 19 158 232 12 182 91 147 221 56 4 251 56 67 87 159 157 3 216 118 10 218 225 16 242 185 120 83 181 182 211 215 206 72 213 58 120 187 52 116 241 36 187 186 4 236 184 61 123 51 115 111 29 192 153 59 41 153 209 74 98 184 227 205 90 90 92 195 206 12 72 86 222 27 14 138 114 187 51 67 111 217 132 173 192 122 116 122 16 193 0 128 29 82 192 234 216 35 122 98 162 213 197 28 185 227 166 92 117 214 46 195 16 82 114 34 237 48 12 148 80 169 234 21 75 89 114 221 31 88 223 69 231 84 124 53 78 8 99 49 188 91 218 215 9 33 136 248 248 221 253 118 178 106 247 50 7 91 234 199 14 215 97 77 205 135 249 46 168 176 58 202 183 37 81 224 37 132 222 29 236 206 202 47 13 19 84 69 161 244 118 164 132 155 43 229 118 227 98 163 155 177 87 24 108 145 108 87 96 118 19 240 9 49 202 240 2 12 54 67 184 4 0 124 60 70 22 81 97 132 158 24 230 192 93 103 105 101 123 235 146 88 248 148 189 253 118 193 118 22 78 63 86 80 101 76 23 5 165 40 133 141 9 188 176 65 98 16 199 78 30 58 175 244 106 188 149 88 154 168 197 77 80 207 57 12 219 48 190 159 88 94 166 8 78 196 184 219 230 252 168 30 134 141 237 134 173 82 167 121 54 164 242 46 106 173 12 114 238 13 178 106 91 22 63 180 19 96 147 251 76 113 172 148 220 159 6 41 77 188 68 132 69 65 16 183 247 139 229 77 134 113 14 24 240 4 3 240 136 140 51 101 189 231 171 191 247 186 144 237 193 72 197 72 89 8 211 180 249 47 63 122 195 241 7 123 161 193 236 85 76 86 150 206 3 231 10 60 33 37 109 43 181 242 43 207 189 238 249 236 253 41 71 90 179 158 251 224 103 23 47 205 218 121 254 13 59 65 17 197 168 111 85 201 178 125 252 222 78 32 181 70 70 16 188 225 232 6 75 185 126 241 212 75 181 99 147 66 13 222 178 226 11 225 92 97 110 254 252 133 249 115 137 54 6 51 236 119 119 116 244 96 237 185 83 175 148 216 173 17 102 227 41 106 187 114 235 182 63 119 243 246 198 205 219 55 174 175 175 92 91 175 103 63 199 75 213 216 197 5 139 50 43 182 147 56 176 82 150 150 194 96 109 16 193 0 128 157 96 236 200 116 175 62 106 250 228 204 252 165 89 103 167 179 113 146 166 201 106 201 91 58 15 34 34 32 131 59 80 21 61 108 214 139 139 179 198 248 10 216 223 98 198 126 2 233 88 40 173 244 164 170 96 217 143 102 254 220 211 47 236 221 51 220 147 83 91 186 186 88 225 82 67 154 244 109 242 214 250 113 207 99 251 122 104 183 253 96 243 246 250 252 229 185 108 238 180 186 94 143 233 96 142 213 197 48 86 96 122 30 131 46 132 61 32 34 98 128 65 56 4 0 192 231 137 19 147 66 44 102 184 220 204 122 45 3 19 245 178 128 157 111 211 218 244 193 3 35 118 36 174 113 139 117 177 87 153 217 11 96 176 91 47 186 171 210 152 160 32 66 176 100 156 61 78 214 102 122 165 128 147 20 27 9 58 152 218 213 16 4 149 12 210 103 20 143 32 7 31 63 242 133 211 95 254 147 111 126 239 181 111 188 62 113 98 42 214 83 177 63 249 247 114 27 139 137 11 99 183 9 58 64 136 96 0 192 96 11 38 103 84 96 79 245 26 193 171 87 140 16 98 87 143 126 127 0 120 122 114 198 17 178 198 137 172 53 110 212 35 7 53 86 228 40 97 174 48 190 219 209 189 83 181 83 131 34 209 114 77 12 19 249 228 49 113 98 250 181 111 124 247 155 95 255 206 222 189 195 241 169 59 187 53 240 140 189 143 194 4 145 193 232 241 32 130 1 0 143 40 199 142 214 14 61 62 34 142 1 142 214 177 61 136 174 239 208 119 4 218 195 3 232 64 168 245 130 207 124 250 140 87 46 219 17 178 226 198 50 61 147 52 139 101 144 141 224 0 19 60 202 108 38 107 51 253 186 152 158 211 151 172 63 210 206 95 117 240 8 48 253 196 204 255 244 173 63 59 118 164 38 239 156 11 156 193 38 200 238 151 228 5 64 7 8 17 12 0 120 36 200 157 193 28 12 6 225 70 233 202 17 17 64 81 194 228 254 210 91 173 214 152 219 28 24 241 167 49 236 207 103 236 246 181 163 38 180 196 35 38 204 2 107 28 53 236 103 176 230 126 198 66 180 210 246 41 151 14 218 247 81 156 188 237 12 153 65 190 246 141 215 103 166 207 22 115 167 160 54 56 187 69 191 237 27 39 201 11 0 32 130 1 0 143 196 184 51 49 54 89 237 13 165 190 144 240 197 64 105 93 162 126 237 223 202 35 34 242 241 219 87 178 65 52 176 209 83 224 177 148 143 76 40 159 235 10 226 140 158 199 66 8 41 176 40 144 49 52 96 247 216 199 110 242 70 148 150 131 108 128 117 240 203 47 124 251 169 39 203 214 40 92 5 140 125 17 16 193 0 128 143 27 79 157 156 145 85 129 24 31 28 250 66 140 158 198 21 36 74 225 62 124 252 103 62 125 70 24 134 57 45 34 34 140 112 240 212 179 158 96 213 17 208 253 136 133 32 213 113 142 52 85 59 97 177 244 241 153 75 188 252 252 107 141 184 8 125 154 159 79 246 180 125 195 229 94 0 0 17 12 0 168 202 78 118 169 251 246 14 31 59 90 75 57 38 118 7 6 251 121 49 133 45 6 134 136 240 237 55 89 155 30 60 48 146 104 109 28 95 234 245 90 60 248 213 126 35 91 201 83 251 29 11 97 72 9 14 118 53 177 147 26 2 187 226 30 73 115 238 11 153 113 126 243 247 255 116 159 184 79 142 157 130 118 177 136 8 120 1 30 17 62 245 217 111 226 34 0 240 113 224 131 197 119 111 220 90 189 119 127 235 192 254 145 79 13 149 164 0 207 94 246 225 194 251 171 235 245 136 210 221 184 185 182 178 122 197 94 232 204 117 131 189 94 79 100 69 208 181 255 154 191 222 121 163 189 13 31 162 35 141 223 46 159 187 117 231 198 239 30 62 56 124 224 88 202 235 175 172 204 183 230 48 218 11 54 111 221 200 154 53 111 5 178 229 32 57 10 178 104 217 60 208 54 176 132 146 93 68 70 200 36 117 230 211 95 29 61 172 90 93 102 147 119 238 220 122 124 255 193 148 147 205 94 252 209 194 63 255 242 131 127 250 224 163 159 231 246 182 253 24 42 126 48 238 147 190 101 26 71 13 131 238 213 238 173 173 141 203 215 230 110 220 90 251 212 208 167 14 236 63 242 40 234 224 79 125 234 83 151 86 126 235 6 124 56 181 241 200 170 75 39 220 38 210 205 133 14 112 16 173 248 223 252 123 92 4 0 30 5 194 220 174 94 57 220 214 163 89 2 247 200 193 218 179 207 188 24 89 116 254 171 191 255 254 210 202 66 246 250 233 39 103 254 240 165 239 104 114 234 175 154 165 227 140 241 181 108 33 44 134 28 193 97 108 157 1 193 81 165 113 141 113 247 168 61 20 26 247 228 177 153 51 207 188 56 122 168 166 77 108 254 203 223 191 177 186 86 207 134 240 127 249 202 235 226 146 110 67 56 94 175 255 95 63 252 11 71 4 183 91 211 88 194 209 111 89 239 7 119 80 15 173 212 55 206 246 233 60 246 169 225 255 249 95 252 175 218 101 248 199 159 191 117 238 131 119 178 87 206 60 125 246 127 248 218 183 35 23 236 191 189 247 214 252 229 217 205 91 27 206 193 55 143 109 104 200 249 181 48 215 33 73 199 67 151 244 200 110 181 78 105 207 208 240 216 145 169 231 63 243 202 35 167 134 223 252 241 247 151 174 46 248 178 223 18 193 134 148 219 100 8 94 128 71 6 84 140 3 224 99 200 245 27 245 191 255 249 15 190 253 245 239 137 46 183 213 245 122 171 115 207 58 229 76 73 220 188 181 126 232 128 48 62 61 49 54 109 43 224 146 177 144 252 66 113 69 77 50 187 178 24 234 39 199 156 18 86 229 45 42 170 179 230 142 213 197 171 179 107 55 235 127 242 242 159 139 239 158 187 120 110 109 189 158 189 49 83 195 127 251 227 31 188 254 175 228 151 53 114 68 28 28 201 228 163 214 142 219 63 88 197 174 57 44 10 72 86 75 178 32 140 156 39 184 248 200 201 177 211 218 217 103 118 120 62 83 192 77 62 248 237 185 231 207 190 40 154 165 105 148 128 126 231 252 236 59 198 46 129 65 238 134 254 96 87 28 193 232 250 108 183 121 109 200 237 242 105 109 187 189 247 187 173 204 110 51 155 252 230 151 191 171 202 205 127 248 190 99 57 129 88 12 215 31 200 237 154 136 228 232 151 189 143 13 31 57 56 182 247 177 125 217 191 181 163 213 138 216 61 247 185 23 151 175 46 176 126 151 8 29 96 80 28 14 189 29 68 48 0 96 71 29 51 57 139 245 57 81 4 207 205 159 223 214 88 220 210 193 115 103 102 190 44 126 222 83 39 103 50 149 156 203 50 97 40 104 247 254 38 215 73 28 188 82 146 88 24 24 52 249 235 151 80 166 162 101 179 11 123 235 206 198 173 59 235 162 83 109 254 202 92 222 172 153 198 189 178 50 223 152 198 40 205 218 144 155 226 150 38 187 109 154 99 185 214 178 204 78 77 108 219 0 217 75 164 106 236 26 25 170 8 126 239 215 63 41 20 45 155 213 235 43 154 8 190 120 105 206 216 122 151 28 229 100 159 23 153 164 60 27 176 198 94 218 45 185 183 122 211 110 235 215 23 34 31 179 124 109 193 137 178 37 197 231 106 172 21 9 235 121 227 189 216 189 113 46 95 155 205 215 208 78 30 159 121 122 226 204 201 19 73 251 50 39 142 79 79 156 152 106 249 11 88 187 81 218 127 112 239 155 66 13 251 183 7 69 164 52 216 5 176 49 14 128 143 157 2 110 255 112 112 255 97 121 200 201 215 248 154 163 72 38 158 212 97 224 196 164 163 17 148 76 242 194 191 41 169 49 177 71 36 65 99 20 186 176 253 227 230 157 141 248 171 91 226 96 238 183 231 181 143 253 204 211 103 10 141 168 180 12 187 233 159 236 93 62 204 254 150 71 59 193 176 159 51 196 106 232 61 143 13 79 142 171 250 35 155 140 217 7 148 137 96 245 178 120 241 24 165 50 86 73 27 129 176 156 190 219 173 69 125 109 62 242 6 178 122 24 242 38 51 110 148 173 241 20 176 27 8 110 191 158 220 8 174 236 223 75 215 102 127 252 171 31 252 229 79 254 143 250 245 249 148 19 249 210 231 94 140 223 41 249 45 80 216 124 184 57 216 173 52 132 126 15 34 24 0 208 169 192 45 209 189 206 223 106 199 166 194 167 55 111 175 175 110 212 109 1 225 197 189 57 34 120 108 202 120 254 21 227 139 27 191 70 104 176 69 26 245 147 123 171 134 19 213 199 197 203 234 220 198 174 154 33 27 85 164 65 237 191 132 229 51 184 168 201 236 4 140 54 31 17 55 240 197 203 141 21 115 99 42 10 83 105 179 166 47 161 188 203 67 74 52 51 164 112 127 12 151 170 188 146 236 244 29 249 132 135 172 86 27 178 118 155 185 177 236 198 218 151 214 144 54 45 65 60 228 238 84 107 190 235 214 221 141 183 222 123 227 103 179 111 149 30 212 196 241 233 70 237 76 210 167 253 17 95 128 166 149 1 68 48 0 160 199 130 56 120 242 224 254 145 131 210 162 121 67 242 218 219 255 169 245 164 236 23 57 118 164 161 150 124 197 64 129 12 50 142 231 79 245 133 160 126 114 170 130 141 254 153 98 47 200 93 95 153 166 188 216 14 101 9 201 243 64 199 20 176 165 95 133 10 201 94 26 96 227 87 151 117 114 69 53 31 145 128 96 97 57 130 162 151 130 132 168 27 242 102 107 225 250 56 148 238 206 218 109 181 201 155 21 214 237 196 54 216 58 216 126 89 16 37 76 129 27 184 216 10 57 228 136 233 236 241 193 226 59 63 125 255 175 74 207 238 84 180 134 156 54 63 140 119 112 232 253 32 130 1 0 93 201 95 14 42 20 120 75 207 90 106 136 229 213 69 47 80 178 17 22 124 229 130 234 11 57 49 149 120 104 66 234 120 208 91 85 81 69 195 181 162 189 181 191 206 60 125 166 100 139 186 18 229 226 60 103 165 1 102 118 75 49 7 202 184 60 22 162 125 142 148 120 125 52 117 75 144 187 131 100 183 148 246 70 175 98 98 48 213 113 60 196 84 84 198 246 114 56 122 74 215 86 207 190 75 152 204 71 75 231 74 117 240 233 169 51 145 82 32 172 203 95 116 129 16 193 0 128 222 11 96 207 241 16 250 33 90 191 213 70 229 186 199 11 87 230 140 183 97 136 172 40 97 65 4 79 58 185 99 195 113 141 149 165 64 212 79 238 64 65 148 185 123 137 202 148 4 21 75 195 177 136 136 35 181 131 7 75 170 102 120 53 177 88 156 125 5 139 194 182 68 182 107 100 68 98 33 230 175 108 199 66 164 11 39 210 114 2 120 187 226 2 141 5 113 188 11 118 155 184 55 49 84 189 198 106 101 10 44 92 201 90 109 107 223 80 25 123 138 57 211 193 151 86 102 35 7 118 240 241 35 199 70 146 202 6 105 189 52 58 57 136 96 0 192 142 8 229 124 7 210 158 97 209 19 188 186 81 191 251 96 203 15 157 36 179 122 163 238 169 144 156 233 39 103 180 225 141 53 255 7 42 39 245 68 93 36 72 7 79 71 144 251 235 253 120 68 68 179 101 35 169 60 124 105 203 174 51 152 221 205 115 236 190 204 158 32 149 198 66 180 197 58 121 25 30 34 138 201 173 47 173 102 241 75 116 67 130 93 180 91 177 85 165 42 21 194 15 129 63 216 119 253 26 95 10 83 240 246 159 190 255 230 189 7 91 145 3 27 63 62 213 185 149 160 163 131 8 6 0 116 167 109 147 100 138 253 123 237 168 28 195 176 176 52 231 237 194 206 31 218 246 184 189 123 134 27 101 23 202 146 9 20 82 201 149 227 168 159 220 145 142 8 20 64 69 41 145 11 145 72 68 196 153 153 231 101 25 40 38 250 240 98 190 221 104 239 60 34 194 126 61 91 111 41 137 133 104 5 4 87 212 25 182 183 15 74 119 192 237 150 168 250 39 89 49 15 114 202 136 252 79 94 41 10 10 74 90 146 144 111 56 255 150 123 191 219 250 96 225 221 200 193 76 79 156 74 41 111 33 246 126 0 34 24 0 208 59 41 236 237 70 242 146 242 180 117 201 100 237 148 248 25 139 203 115 198 45 122 156 63 50 125 172 125 243 196 137 41 210 183 237 115 24 148 204 130 46 7 189 145 23 21 95 22 201 127 119 232 192 17 173 104 182 144 253 35 112 6 251 91 223 220 57 15 187 238 225 244 88 8 162 14 93 137 84 245 90 129 71 205 248 201 211 211 97 233 53 10 246 65 186 121 3 253 137 98 91 76 199 69 240 248 241 105 19 248 158 189 187 133 35 221 54 7 235 96 0 34 24 0 80 85 0 27 35 121 85 165 132 172 181 81 193 19 156 73 141 213 245 122 49 10 184 171 135 203 215 212 176 224 169 39 78 25 19 77 18 44 137 33 89 34 71 206 13 244 84 45 183 212 64 60 71 196 204 83 103 100 201 40 54 95 152 0 132 157 244 192 94 12 177 109 150 169 121 33 200 57 248 216 105 74 49 190 68 157 239 205 2 187 57 121 83 141 88 142 57 182 183 52 56 27 227 140 163 143 201 11 7 247 194 33 76 241 81 247 126 183 245 209 149 95 69 142 104 52 37 44 24 189 25 68 48 0 160 95 250 183 244 133 109 141 114 244 112 77 76 142 182 188 186 160 141 56 212 44 193 176 121 123 93 124 193 196 241 105 57 163 170 162 128 57 208 64 126 106 45 56 69 250 170 57 220 60 83 11 186 51 120 250 201 211 17 209 233 187 246 237 95 217 73 18 204 198 137 6 246 220 192 41 177 16 157 36 50 163 164 29 87 224 81 87 207 98 160 48 69 237 159 68 197 236 166 146 176 227 34 50 46 93 189 16 57 156 99 71 198 98 182 153 216 161 149 21 24 7 16 193 0 128 164 62 212 247 13 91 127 210 188 110 141 128 135 168 92 136 56 131 167 159 152 49 164 172 6 122 122 215 72 65 26 202 121 96 20 232 189 114 240 124 102 20 203 17 209 136 136 56 82 75 178 59 118 195 124 217 170 30 231 202 95 39 50 216 148 186 129 139 88 8 74 47 93 65 145 223 192 163 45 121 77 24 246 16 40 224 164 15 243 162 135 73 213 214 173 5 132 149 104 97 231 163 135 199 170 245 210 241 141 28 232 248 32 130 1 0 21 58 85 119 75 190 16 154 105 10 45 114 82 209 28 219 26 151 252 108 243 249 99 97 89 245 133 140 31 159 76 217 131 20 102 132 64 253 228 93 150 194 198 220 127 176 149 105 77 237 197 167 159 58 163 198 224 178 159 230 172 48 194 64 248 114 16 7 156 255 251 204 201 51 218 183 111 71 162 75 81 16 148 168 131 69 109 4 93 252 113 22 201 242 43 124 237 91 233 19 200 220 123 176 21 169 165 124 108 100 12 173 0 17 12 0 24 68 113 156 255 206 205 228 104 163 135 5 223 222 218 70 125 243 246 6 249 26 216 249 69 139 151 48 173 36 65 250 49 48 75 219 224 80 63 121 215 149 66 251 153 185 249 243 218 155 158 122 242 116 146 169 185 133 226 76 144 28 77 219 48 119 96 255 200 248 177 105 241 83 239 221 223 10 247 237 145 85 200 176 228 68 9 90 23 84 185 53 72 152 34 218 175 89 89 91 212 62 224 224 227 35 29 117 208 0 34 24 0 208 149 206 77 122 89 238 174 211 150 158 151 66 129 27 248 117 51 81 146 105 101 197 17 82 59 84 54 12 56 222 193 214 51 168 159 188 43 227 61 249 197 80 194 106 20 214 232 126 36 79 129 23 49 64 14 141 77 209 193 94 141 101 173 114 161 105 198 66 220 205 143 170 203 34 111 240 7 131 74 246 34 57 140 175 111 174 232 34 248 8 46 26 68 48 0 96 247 164 176 37 44 60 157 81 188 140 213 66 113 139 75 115 162 252 37 55 34 34 230 12 78 171 159 108 80 63 121 247 212 111 68 248 205 235 57 34 78 79 159 9 85 163 179 198 16 204 94 236 45 143 142 6 102 223 80 163 177 16 23 4 217 74 6 85 143 65 223 239 19 35 36 51 222 188 179 17 121 223 161 14 156 193 0 34 24 0 208 189 0 54 201 201 209 38 199 100 199 91 67 221 146 32 127 189 240 136 186 190 32 56 126 108 50 146 34 45 204 165 133 250 201 187 63 214 91 249 19 34 1 223 211 145 136 8 41 53 4 219 9 209 140 31 14 193 150 2 62 176 127 68 12 206 49 219 177 16 179 90 242 233 242 115 243 170 39 0 208 53 235 155 245 200 95 15 64 4 67 4 3 0 118 65 255 150 190 176 45 62 106 163 83 123 247 12 135 47 88 88 246 189 128 228 6 201 81 59 115 240 226 178 234 47 156 154 152 17 195 233 28 213 203 168 159 60 56 18 216 217 42 116 49 45 34 130 34 54 198 114 206 59 193 19 220 158 164 77 69 99 33 66 93 219 65 48 3 146 164 129 158 220 44 45 110 221 89 199 245 128 8 6 0 12 174 32 86 147 163 197 242 66 44 138 10 216 223 27 103 90 219 227 228 45 210 153 188 30 29 169 197 203 135 162 126 242 0 13 234 222 12 39 212 157 22 173 136 8 146 76 206 111 53 169 76 134 19 19 108 197 10 151 196 66 144 164 126 211 194 33 160 122 65 63 216 220 82 35 34 142 37 214 203 0 16 193 0 128 158 73 95 41 57 90 152 138 181 245 147 88 40 206 184 158 96 114 43 45 133 245 147 99 17 17 199 167 42 28 54 234 39 239 146 252 21 139 11 52 43 99 235 17 17 79 156 86 203 14 7 254 123 47 21 154 157 34 205 110 250 146 88 136 165 89 239 187 132 212 37 9 42 31 128 157 97 207 158 125 184 8 16 193 0 128 1 149 203 154 230 216 188 189 190 121 123 195 211 16 94 246 0 178 10 41 47 214 213 218 10 83 19 167 156 247 182 191 187 200 5 193 106 85 36 185 126 50 43 63 131 94 168 97 99 28 57 153 233 206 72 68 196 104 43 34 34 82 58 206 148 187 129 109 103 240 84 164 74 220 210 108 76 252 86 42 26 23 249 21 128 212 89 251 54 17 23 0 128 8 6 0 236 66 191 172 62 237 214 50 208 220 192 118 194 7 242 42 205 210 182 246 181 101 199 245 155 117 77 42 105 9 95 29 177 107 42 212 79 70 162 180 190 8 95 49 25 106 43 87 218 146 30 17 49 117 70 21 148 110 66 18 214 220 192 149 98 33 170 10 220 74 127 5 160 131 78 119 7 187 33 244 120 16 193 0 128 180 158 210 203 134 22 22 37 230 88 113 218 80 112 56 181 6 114 53 108 61 234 107 106 162 180 169 137 25 193 25 44 29 121 74 253 100 140 12 125 147 193 78 180 55 181 157 253 241 136 136 164 6 13 164 176 232 9 110 172 75 140 68 99 33 40 86 188 144 168 242 249 2 144 222 201 176 155 209 28 74 23 34 24 0 48 136 2 216 36 36 71 107 253 160 85 37 200 61 193 20 38 200 180 20 146 77 253 122 52 81 154 126 172 106 162 52 134 187 119 119 52 177 23 89 176 176 148 144 35 66 139 70 240 162 126 69 55 112 123 105 34 30 11 209 113 248 3 180 47 232 165 26 69 151 4 17 140 75 0 192 35 211 101 135 47 108 191 242 164 150 30 248 218 188 35 122 200 74 155 21 110 162 106 63 22 87 102 117 17 28 171 159 156 235 221 120 162 180 98 159 159 27 102 186 251 195 146 230 221 124 180 148 111 148 5 61 34 226 212 212 153 114 85 154 167 69 139 122 130 159 153 236 46 22 162 210 153 66 20 151 26 48 63 218 251 83 57 253 21 145 196 139 28 248 20 130 191 222 210 235 101 140 31 159 76 61 170 32 241 13 242 163 67 4 3 0 186 237 254 229 228 104 209 66 113 66 137 4 75 251 82 184 55 174 249 184 125 103 67 203 151 57 58 82 59 248 248 136 161 152 240 8 229 108 36 81 154 252 70 174 50 174 119 51 186 39 126 200 199 64 73 180 91 119 94 175 154 113 122 234 108 228 212 195 103 53 79 240 161 253 35 199 244 88 136 136 10 119 38 99 101 167 3 233 43 24 103 111 95 188 75 34 215 47 186 174 40 203 18 229 201 129 246 141 124 121 187 47 189 21 45 26 215 27 225 62 80 211 126 136 96 92 2 0 6 84 250 38 38 71 107 50 89 211 50 4 91 177 16 158 27 88 203 22 220 124 44 95 87 195 130 39 242 68 105 84 62 218 26 78 40 138 33 190 160 234 80 221 35 57 155 164 174 31 57 53 108 101 228 93 212 35 34 246 238 25 110 196 124 43 211 18 123 235 91 252 212 39 39 210 242 66 184 194 151 172 216 229 164 20 105 232 35 146 109 248 209 51 99 105 242 47 102 25 23 223 235 77 167 189 253 9 94 241 249 74 57 203 57 46 163 163 215 153 181 168 48 232 96 136 96 0 64 229 97 162 221 191 31 216 63 114 112 255 145 240 5 153 214 89 187 81 215 36 132 147 107 53 88 89 94 209 83 5 213 148 176 96 199 127 195 146 115 38 24 108 252 81 129 99 193 123 213 92 192 85 94 45 252 221 171 3 28 117 136 14 166 228 181 127 37 227 204 127 230 22 207 105 111 157 158 56 85 62 66 71 221 192 217 227 11 207 60 175 125 254 133 133 243 130 252 237 168 112 242 39 126 150 28 181 97 150 202 89 107 6 59 200 82 88 234 73 228 216 42 246 87 156 216 158 138 27 165 156 187 183 159 129 203 175 58 87 106 25 142 245 81 252 232 206 171 33 130 1 0 59 51 188 153 112 20 112 11 197 105 91 226 194 106 201 190 159 141 148 39 201 92 186 170 103 11 214 247 60 137 131 77 120 228 66 70 97 101 244 138 141 235 41 163 123 194 8 171 137 6 19 21 19 3 171 33 72 251 221 82 154 31 122 74 212 110 92 205 137 203 169 143 102 192 204 17 241 51 54 111 175 231 75 19 249 177 81 104 153 29 236 149 251 68 245 15 172 60 17 185 19 74 109 216 12 146 2 211 114 141 219 106 53 80 177 38 248 171 87 178 199 145 203 246 235 211 123 144 30 221 233 204 49 209 12 41 12 17 12 0 134 58 203 237 193 190 184 244 22 251 38 199 78 137 159 145 87 75 14 19 78 181 226 31 236 162 113 94 130 170 123 15 182 174 223 172 139 31 187 119 207 112 35 226 51 45 44 152 165 126 191 100 212 99 117 240 46 83 178 73 99 153 236 244 173 40 65 100 41 60 56 144 187 247 209 109 170 181 27 245 76 143 106 141 59 245 196 76 185 12 118 67 35 236 135 159 111 216 98 254 202 156 104 135 208 187 157 169 67 214 194 232 31 125 27 102 177 39 97 57 219 140 19 51 38 117 53 236 109 198 245 94 111 173 170 69 88 91 95 145 59 168 50 153 43 30 164 253 246 65 239 76 32 130 1 0 187 54 0 196 221 30 141 98 158 195 181 81 185 134 197 194 242 156 45 55 200 4 146 168 253 3 73 207 212 245 176 224 113 49 44 88 75 148 150 54 116 201 218 183 210 85 147 212 176 26 16 145 168 173 185 138 140 24 188 161 203 201 28 108 77 114 28 219 112 153 30 23 34 34 88 187 104 193 245 141 228 27 118 98 33 220 108 211 212 81 158 224 79 184 2 46 151 191 165 129 170 3 107 195 110 120 67 184 155 214 91 86 10 247 78 56 57 251 216 169 251 109 135 79 120 158 224 61 143 13 107 71 116 239 193 221 146 203 43 237 106 208 154 201 247 88 139 13 1 41 12 17 12 192 39 121 156 139 188 172 40 20 119 84 206 89 182 182 17 20 126 163 34 4 211 216 37 51 236 160 8 235 135 21 61 91 240 228 248 41 245 240 89 233 193 165 161 203 151 89 137 203 145 85 124 195 21 254 202 138 131 51 60 218 96 244 26 20 13 65 210 111 228 206 115 154 207 124 120 41 26 17 65 101 147 179 142 98 33 86 55 234 154 2 6 85 167 123 170 177 121 102 204 186 1 155 132 28 94 187 114 94 174 202 119 42 20 230 10 146 221 52 139 150 14 102 177 142 183 43 142 253 190 168 253 201 71 15 141 117 211 79 107 65 38 236 201 95 109 218 15 221 11 17 12 0 8 187 72 103 119 179 171 69 38 107 178 30 93 88 154 43 81 75 182 54 34 91 36 111 63 179 18 241 4 71 234 39 123 199 108 245 236 242 18 161 81 252 61 226 208 30 44 202 87 72 4 193 229 31 46 191 55 127 66 147 194 131 23 10 97 180 16 131 118 3 55 34 34 238 168 17 17 211 237 200 96 210 116 191 178 37 238 244 116 133 88 8 71 1 35 38 184 170 236 226 4 51 246 154 142 99 159 195 187 58 145 243 36 169 49 138 51 216 150 179 246 13 200 78 200 132 236 9 54 130 110 102 150 246 213 165 136 244 132 151 113 120 133 163 43 123 130 75 24 162 24 34 24 128 79 230 96 199 129 23 68 44 20 87 27 149 61 193 141 66 113 165 29 168 171 128 61 87 241 189 223 109 213 175 207 107 111 149 119 80 177 156 232 204 176 62 144 104 251 190 221 129 176 242 208 158 124 185 185 116 143 182 183 163 40 226 228 30 152 113 139 220 159 200 213 197 219 37 148 151 35 123 31 79 249 26 84 204 250 28 16 137 133 152 179 98 33 200 62 48 242 231 96 80 191 229 253 3 151 221 122 202 220 143 19 245 244 174 170 124 14 68 164 223 13 6 46 94 99 92 113 28 188 166 241 215 135 129 228 85 62 170 146 135 162 194 9 70 42 107 134 243 76 232 96 136 96 0 62 233 206 30 237 133 237 87 30 61 84 211 146 163 57 219 240 171 233 166 66 7 175 84 173 159 28 12 90 206 176 225 234 72 102 57 63 81 184 239 74 29 218 75 221 180 85 229 111 180 20 112 76 10 15 254 82 166 37 52 91 255 125 20 141 136 32 197 62 153 149 134 104 198 66 28 58 160 198 66 172 173 215 61 75 35 18 142 170 227 164 105 159 100 5 44 90 178 170 192 6 121 34 23 118 8 236 22 149 12 118 182 113 16 237 208 18 187 225 243 197 187 114 53 252 80 40 6 222 123 77 111 77 81 194 53 189 164 230 0 16 193 0 124 98 5 113 164 80 220 73 173 70 198 234 66 186 226 53 186 224 136 70 68 76 37 246 254 241 81 149 67 117 85 230 71 73 249 186 82 151 140 38 127 181 111 116 164 176 248 117 9 123 198 119 69 248 250 191 181 159 140 71 68 136 158 126 118 147 150 120 143 153 167 146 99 33 200 253 145 146 45 18 211 99 125 74 236 137 72 127 10 103 228 122 230 131 96 180 142 184 119 147 60 120 217 33 88 218 9 103 235 90 227 70 66 59 225 16 182 56 126 232 42 224 135 105 17 17 149 78 42 244 196 123 107 122 44 148 243 24 232 254 4 34 24 0 208 247 193 32 173 80 92 235 135 201 49 89 4 47 44 205 197 107 114 38 118 170 245 235 11 247 30 200 213 197 182 235 39 179 122 22 204 174 155 202 237 247 57 238 181 210 156 88 137 67 59 151 200 95 207 227 229 251 122 89 218 4 22 56 168 68 29 60 136 165 51 72 17 151 100 22 235 122 68 196 68 17 17 193 17 225 101 231 133 120 82 143 133 152 63 159 127 123 81 178 155 130 92 37 208 190 21 5 177 124 23 136 174 226 160 42 154 56 105 228 221 58 41 55 231 183 215 13 178 148 210 33 124 114 91 230 62 116 211 68 72 142 97 39 206 234 97 33 172 71 71 198 202 142 177 147 230 178 157 193 126 250 75 227 103 106 27 140 137 9 68 48 0 96 48 7 193 118 191 184 231 177 225 209 195 53 241 53 203 87 23 42 9 50 49 249 90 139 149 181 132 68 105 218 102 14 214 203 103 176 178 68 104 100 49 202 92 97 104 247 130 2 237 1 79 116 0 59 130 216 4 158 36 111 147 31 251 67 87 169 139 122 0 132 176 44 55 99 57 34 172 146 40 228 158 23 179 63 163 104 168 135 35 177 88 136 213 102 44 4 73 7 230 203 95 196 5 43 134 84 82 24 66 191 77 98 175 55 3 180 154 193 97 143 36 37 53 243 117 240 195 66 245 58 225 191 45 95 239 195 66 31 27 14 158 116 3 133 179 63 237 125 108 159 118 120 141 78 85 51 96 227 247 33 145 105 188 9 86 84 188 22 28 144 230 128 8 6 0 236 154 131 71 212 147 222 168 160 185 129 87 55 234 55 111 111 24 163 148 50 54 138 66 149 221 23 166 158 16 22 28 238 236 102 73 35 170 155 114 130 69 118 85 233 74 62 153 112 104 55 241 180 16 44 59 128 217 72 165 236 140 235 52 98 217 133 227 111 250 30 100 172 48 220 235 105 57 34 52 187 180 207 116 230 105 53 22 226 226 101 63 22 130 172 253 151 225 174 56 18 229 69 55 247 20 63 242 221 66 162 2 86 173 159 43 232 224 106 145 193 113 161 214 113 21 71 49 153 3 11 161 192 236 74 225 34 200 193 214 202 15 5 249 203 98 18 137 42 55 81 146 137 178 155 214 45 174 131 89 208 193 80 191 16 193 0 124 194 164 112 89 161 184 118 94 8 121 107 154 191 37 46 216 157 198 166 164 176 133 93 230 45 82 50 163 21 54 234 13 162 66 231 174 69 68 120 206 96 35 135 61 8 3 164 228 95 97 45 63 177 244 118 85 254 150 109 140 243 178 50 49 71 117 112 213 58 94 125 16 187 226 176 109 239 66 139 69 68 180 178 65 83 244 120 219 87 245 169 147 73 177 16 94 60 134 159 35 194 205 79 178 171 211 207 1 86 192 193 2 136 188 119 83 44 12 158 22 221 94 73 7 11 61 128 180 104 83 174 20 89 126 50 162 131 205 67 127 75 156 45 121 109 237 43 250 143 195 15 28 63 62 221 179 182 99 97 149 41 162 131 197 158 51 236 118 0 68 48 0 31 103 1 108 162 233 36 109 53 54 89 155 81 68 240 162 56 158 249 177 7 193 160 197 82 30 254 235 55 234 183 116 103 225 232 72 205 112 32 49 67 145 100 132 28 17 254 128 17 233 232 19 134 246 116 79 152 224 119 137 68 6 179 160 221 217 72 207 27 197 31 220 129 20 238 221 104 167 85 204 206 249 232 114 73 213 12 146 212 140 215 88 199 142 170 177 16 55 111 89 121 33 236 18 45 225 17 146 174 224 63 174 90 152 75 106 27 178 36 49 67 81 235 41 45 86 98 129 140 233 40 186 157 83 10 48 234 83 193 142 175 137 164 131 237 216 95 199 173 107 228 8 96 225 153 96 123 156 48 223 150 88 219 88 145 102 148 73 103 196 70 218 21 103 162 235 75 220 245 188 26 64 4 3 240 136 233 223 210 177 161 253 226 218 209 169 76 131 138 47 156 191 50 203 98 206 249 112 51 114 160 228 196 39 151 75 195 130 89 81 189 161 100 116 213 170 183 95 132 141 174 65 165 72 95 81 16 68 162 135 229 76 103 161 99 152 253 152 224 48 94 66 92 205 100 87 145 200 85 154 163 138 199 81 194 220 163 5 125 114 165 167 91 156 98 237 102 125 237 70 93 155 228 104 217 160 189 211 138 196 66 204 93 60 239 233 5 187 58 70 17 249 208 74 139 150 24 16 76 61 186 195 88 241 180 241 78 61 74 111 119 79 9 177 238 211 101 65 49 11 82 204 196 162 219 67 7 100 169 232 98 211 35 89 166 215 78 47 4 174 177 188 182 15 133 104 7 14 42 198 249 122 247 161 158 48 56 146 241 166 201 221 251 91 164 216 30 233 254 12 63 191 27 251 113 17 149 215 151 76 183 166 181 155 195 92 79 239 145 206 63 22 34 24 128 71 66 16 219 110 3 63 47 132 146 28 109 126 105 214 115 218 69 212 149 188 223 203 248 101 150 234 107 139 186 179 240 148 83 206 212 77 13 193 70 26 161 217 26 30 36 15 183 58 208 178 58 180 135 94 228 120 30 9 81 206 178 82 115 213 207 201 31 122 113 148 32 16 111 235 24 151 212 108 214 199 209 158 219 152 27 134 251 209 21 213 25 60 29 137 136 176 142 112 230 233 179 170 8 158 63 39 126 181 177 162 50 194 125 113 221 122 130 83 234 162 105 69 110 185 239 247 119 201 131 133 216 116 22 165 146 145 166 181 70 41 153 102 210 92 194 82 106 20 102 93 78 232 41 41 42 55 87 16 143 228 205 75 69 241 234 36 3 126 232 234 221 135 110 190 8 197 7 156 127 72 35 221 141 194 230 237 117 163 249 129 169 100 110 32 228 57 238 120 125 137 147 45 148 7 239 209 167 27 166 187 207 132 8 6 96 96 164 175 152 28 77 236 76 89 47 20 119 117 209 83 111 158 51 88 8 201 245 212 222 67 223 7 83 215 179 14 79 28 159 22 28 180 174 231 195 72 62 45 81 232 123 254 39 161 54 178 50 180 151 231 92 179 245 168 52 240 120 79 58 169 33 220 213 88 121 148 146 138 87 69 58 241 80 85 116 235 238 173 34 127 189 129 123 177 62 171 189 252 212 212 179 123 247 14 199 157 175 79 157 156 217 183 87 94 148 88 93 175 223 188 181 81 120 160 165 10 201 212 27 87 111 76 94 113 232 250 101 97 245 127 39 30 213 181 130 44 7 141 82 186 69 41 175 24 174 81 120 58 88 112 9 115 154 22 9 47 172 54 163 75 9 47 22 55 255 5 161 17 197 29 250 208 74 251 96 135 5 219 81 194 15 101 127 112 88 57 57 146 31 45 51 99 146 166 112 20 166 55 17 45 48 88 44 242 178 26 251 158 126 109 125 201 72 171 85 3 38 110 249 17 121 192 19 12 192 35 165 145 173 254 241 192 254 17 45 57 90 35 22 194 245 211 132 219 74 52 87 138 9 135 210 230 191 155 183 55 180 21 243 134 6 202 87 204 133 232 99 127 244 245 189 209 82 221 53 109 148 101 177 38 179 27 62 40 7 84 4 250 195 243 172 135 215 65 92 87 245 87 51 195 74 173 70 200 216 95 190 81 143 75 146 188 246 208 245 219 250 143 220 63 221 218 138 181 239 244 196 105 63 152 193 245 132 61 117 242 148 234 6 190 232 148 74 38 43 2 216 143 170 12 3 33 168 247 55 81 172 36 1 239 72 56 68 178 131 74 245 134 26 181 114 33 107 43 230 182 166 244 110 150 48 92 158 253 194 141 37 71 238 218 191 54 197 77 237 223 66 207 189 20 222 224 237 135 243 243 66 60 12 2 36 130 52 106 197 141 255 176 48 140 136 8 206 3 130 41 18 14 76 138 139 91 137 247 21 35 128 89 156 87 199 163 150 119 91 78 138 165 73 6 255 209 250 31 34 24 128 65 112 2 199 158 246 21 155 49 227 138 27 120 243 246 122 195 241 86 150 102 200 47 182 100 4 15 168 113 247 95 71 74 208 141 31 159 12 226 33 124 127 182 150 131 76 14 207 208 228 75 153 19 93 118 178 70 150 131 89 86 177 142 47 60 116 26 121 165 158 34 46 225 176 10 116 169 170 240 124 66 125 245 1 91 162 243 183 87 34 219 227 78 135 33 10 228 122 130 181 247 94 188 50 235 136 6 55 55 133 231 69 35 221 87 221 191 91 79 72 148 203 125 190 217 245 20 93 126 152 1 87 145 191 28 21 148 172 220 44 225 11 164 253 3 108 98 199 236 235 188 192 169 153 122 109 56 152 240 115 16 41 155 18 8 193 82 216 67 168 131 31 22 157 94 235 91 38 78 168 169 33 54 111 223 176 239 151 194 13 28 76 41 75 219 93 12 116 54 218 34 149 82 166 241 145 137 3 30 120 215 18 68 48 0 131 36 133 165 36 98 225 8 161 101 8 94 90 89 240 6 15 95 7 183 158 123 232 148 98 242 182 127 121 97 3 173 127 235 171 122 182 224 19 83 70 218 121 198 174 191 54 76 24 204 210 138 170 176 20 27 223 17 98 164 119 197 29 201 82 221 41 39 20 196 200 222 14 113 0 142 184 132 57 186 229 63 124 129 239 234 238 121 52 48 9 190 225 214 99 113 69 141 136 152 26 159 105 68 68 144 235 6 110 127 200 211 209 88 136 205 91 27 194 247 122 251 243 220 64 137 174 244 47 87 185 213 184 162 183 50 125 197 38 226 39 51 250 238 79 105 103 170 184 245 141 35 69 100 196 121 151 231 91 13 212 42 75 59 101 171 121 245 196 176 126 41 145 72 186 32 22 82 185 133 57 197 188 12 134 138 39 56 60 41 47 6 183 81 239 240 137 153 200 241 172 110 20 213 94 194 187 64 140 234 97 113 133 193 232 91 229 188 165 51 109 94 173 239 52 80 147 31 115 52 235 78 169 164 238 64 115 115 217 124 111 87 31 246 193 63 6 237 1 192 224 248 130 75 202 143 181 255 52 57 46 247 215 243 75 23 252 206 139 154 61 81 214 71 115 254 91 163 19 111 168 189 161 198 147 249 171 140 145 20 88 187 195 93 186 170 122 130 143 29 105 212 79 190 217 146 59 205 142 152 200 25 113 183 21 143 123 48 118 73 94 202 223 21 191 14 236 159 89 241 36 21 239 42 4 150 152 139 205 205 94 44 120 173 2 233 73 246 185 184 167 192 92 232 182 252 103 235 228 130 143 162 32 171 148 88 113 170 127 78 157 208 155 219 252 175 17 17 113 179 62 122 72 142 177 153 158 56 61 123 241 156 105 31 124 195 126 204 182 69 77 151 198 66 180 211 62 108 63 2 209 224 251 152 91 215 191 27 29 28 53 45 255 101 173 118 204 45 167 19 193 214 161 58 103 174 240 198 242 2 221 145 112 154 246 37 37 251 102 105 55 165 115 167 180 218 37 120 153 96 71 36 125 93 105 174 238 180 243 101 55 132 163 184 107 168 125 216 238 23 58 119 149 171 71 195 56 13 33 19 200 182 145 159 138 28 215 242 181 5 114 231 129 100 173 102 144 41 203 111 205 126 167 20 246 36 118 3 217 157 73 254 60 235 221 72 228 126 175 86 250 164 210 148 146 123 244 57 29 116 95 221 101 203 201 173 130 16 14 1 192 160 232 223 200 223 221 48 190 147 99 170 199 98 105 101 65 115 3 248 33 16 28 108 142 126 24 164 225 180 126 189 119 127 171 229 11 81 157 193 172 20 224 48 129 190 12 246 234 149 196 66 136 126 44 197 203 229 184 193 130 12 101 158 211 40 76 30 39 122 191 196 40 61 57 71 132 251 164 231 93 51 70 46 192 81 190 199 68 172 44 221 221 88 18 250 92 75 34 34 200 89 2 206 63 228 169 39 85 107 156 15 99 33 2 55 176 144 8 162 31 149 50 244 165 127 223 180 42 13 175 21 29 165 229 173 175 132 45 114 152 246 65 49 18 142 47 134 132 55 11 43 27 79 77 137 243 79 205 187 194 189 159 69 196 93 194 126 156 149 214 1 134 225 88 214 25 53 234 35 234 150 156 117 125 17 5 236 199 243 24 61 155 138 146 58 77 78 188 24 205 29 145 228 239 52 131 17 122 219 43 247 173 41 185 161 58 249 16 136 96 0 6 83 16 115 216 197 183 239 222 113 165 80 220 210 213 249 187 247 182 100 111 83 168 131 141 180 178 255 176 248 151 131 205 115 11 75 106 105 177 137 19 147 194 88 24 198 197 26 61 83 21 39 109 33 23 55 173 39 229 133 8 162 159 195 178 124 158 150 229 96 255 156 88 56 67 80 243 97 174 9 147 176 222 109 228 234 116 233 23 71 243 248 170 79 187 105 201 146 34 34 200 113 4 78 167 228 133 240 118 188 89 58 56 76 90 220 247 251 139 131 146 49 221 104 5 35 207 109 212 209 215 148 100 8 9 215 181 125 83 17 37 184 152 68 37 12 47 54 66 166 97 127 222 40 38 89 83 34 149 229 76 222 198 213 121 92 57 192 93 123 113 92 7 27 142 165 18 23 178 211 184 223 242 133 211 47 104 105 215 77 187 6 167 166 128 11 125 44 221 122 106 113 31 150 75 175 115 36 58 130 163 77 144 48 239 218 157 216 3 211 197 45 22 247 32 152 206 63 36 127 47 68 48 0 3 32 125 227 201 209 252 88 8 37 67 240 229 11 98 191 171 234 96 55 16 182 216 24 103 28 87 113 254 202 101 61 34 226 169 39 102 196 24 62 19 248 177 140 9 186 114 91 240 105 82 47 238 94 10 171 102 40 21 146 125 159 238 67 197 191 171 120 130 217 8 185 231 196 228 18 38 94 128 67 9 193 52 129 227 188 135 80 217 31 110 109 109 92 191 25 203 17 225 57 131 179 127 227 121 33 136 156 52 192 78 56 132 241 195 130 157 131 161 126 100 134 144 126 151 46 126 231 195 124 153 147 88 220 123 26 207 59 22 27 242 141 44 127 13 43 251 226 194 36 18 162 160 151 220 195 130 87 79 76 24 220 219 96 158 176 34 93 68 7 155 164 162 146 226 109 149 201 223 51 167 95 136 28 200 242 181 197 220 230 105 104 219 146 227 10 152 148 92 17 236 173 140 69 139 183 171 157 88 197 141 149 21 194 124 211 34 125 77 197 80 227 242 60 110 209 115 97 78 72 52 25 255 4 163 142 11 136 9 6 224 81 112 15 183 111 233 3 195 35 7 247 31 81 60 193 11 222 32 68 237 72 92 59 174 174 136 15 182 2 236 228 205 43 174 199 52 18 22 188 119 239 240 232 145 90 171 58 110 254 93 236 173 15 122 71 66 65 200 102 112 168 226 84 65 56 78 114 93 194 36 184 154 133 61 236 98 6 123 19 104 136 60 56 175 117 221 242 128 102 46 2 251 242 191 138 177 125 190 218 36 39 4 211 88 49 199 66 179 115 100 236 238 92 14 251 251 210 218 237 244 209 149 243 207 127 70 14 11 158 154 56 221 40 123 65 78 123 198 98 33 150 102 253 34 112 94 56 132 43 35 10 89 67 93 159 170 23 148 77 130 79 145 218 230 151 191 128 123 23 224 200 165 111 169 186 229 49 154 116 236 211 19 103 31 31 46 170 60 156 251 232 109 255 93 237 136 121 98 249 102 33 233 158 18 195 147 60 27 46 245 227 242 174 244 150 20 187 242 33 207 125 254 197 136 27 56 99 113 121 214 201 5 17 254 224 93 204 232 177 109 255 111 117 35 78 95 109 138 141 13 98 103 18 43 37 163 117 23 85 66 105 137 43 218 62 235 223 192 93 55 101 250 39 133 131 130 248 9 110 212 123 118 73 33 130 1 216 109 129 171 63 29 38 254 156 172 201 178 163 17 179 219 214 160 222 128 68 193 232 80 40 141 182 32 110 61 229 119 100 110 157 139 236 211 230 175 204 106 123 168 159 24 155 90 187 94 207 123 22 34 73 194 186 123 92 124 89 64 206 225 61 119 234 213 163 135 138 180 157 111 189 247 134 38 32 40 50 242 69 229 239 239 125 246 213 81 235 43 178 167 63 92 60 255 225 165 115 126 115 216 59 138 2 29 108 172 61 46 70 218 206 98 171 16 251 240 156 227 165 238 6 128 46 156 195 118 75 93 186 58 251 252 103 94 149 69 240 120 35 242 161 21 111 211 58 158 76 1 107 210 161 145 23 226 246 134 177 150 143 115 55 48 185 213 146 61 59 201 39 102 221 187 130 217 210 25 206 86 57 91 8 146 164 255 170 222 184 105 251 219 184 35 61 173 9 95 155 167 199 207 140 29 157 118 68 48 235 242 139 221 112 112 113 141 133 2 37 68 66 207 32 207 235 140 235 227 236 198 136 187 220 28 153 246 141 167 159 58 123 230 244 151 35 47 88 176 21 176 55 115 115 99 235 41 197 98 172 182 176 237 211 223 255 103 148 206 132 170 37 51 33 83 121 86 217 113 9 182 84 179 223 165 177 53 191 20 206 6 80 130 8 6 96 64 164 112 60 57 90 30 11 81 147 23 160 47 94 158 149 115 115 122 206 87 219 199 96 182 93 155 121 143 192 70 86 174 121 183 187 116 117 81 19 193 211 79 158 58 247 193 59 185 135 163 245 69 219 157 60 57 202 195 241 133 228 207 185 242 60 123 75 166 128 199 142 76 167 244 170 249 192 76 98 31 40 201 223 214 63 153 2 174 141 58 95 81 191 182 24 94 64 39 189 70 160 131 253 9 134 39 133 69 73 225 14 102 218 94 239 112 27 71 241 107 103 90 34 24 165 189 101 220 86 68 196 209 67 186 51 120 225 92 126 106 145 221 244 23 230 207 23 203 199 228 58 131 197 60 193 154 47 167 43 9 236 92 73 239 34 20 235 21 110 90 226 14 75 247 113 154 128 96 89 74 118 60 174 203 81 51 193 254 84 34 193 19 233 57 240 98 95 165 24 176 209 87 144 212 31 82 204 149 202 83 82 136 191 250 102 67 229 70 117 122 250 236 31 188 240 237 248 241 92 88 60 111 219 176 239 0 182 228 239 209 195 181 231 63 251 138 119 202 255 223 59 111 200 125 150 167 131 141 235 18 142 75 225 228 59 191 227 244 127 212 11 101 220 227 121 124 199 199 68 206 76 146 200 201 151 2 17 12 192 238 11 96 83 154 28 173 201 158 199 134 199 143 201 233 220 51 121 26 110 117 207 39 187 246 58 154 45 8 182 197 28 7 137 186 140 235 37 106 11 175 237 60 196 18 79 140 77 11 206 54 215 249 225 8 113 43 34 162 16 184 174 184 84 21 48 235 61 190 38 5 164 61 40 114 139 4 35 186 19 14 225 233 96 35 251 114 108 41 172 31 111 49 75 49 198 247 207 133 185 93 123 89 65 131 84 221 240 209 210 249 231 117 17 124 97 241 92 238 230 159 46 141 133 176 67 32 2 53 76 98 64 112 59 80 161 87 30 36 57 50 66 10 188 169 228 169 173 188 56 43 229 56 235 159 132 144 139 15 167 100 232 115 191 79 53 224 96 149 67 232 52 242 123 182 162 110 19 207 86 219 118 38 168 94 241 175 193 103 238 219 51 252 220 231 95 252 194 169 47 199 15 231 222 253 173 197 250 44 217 70 43 122 127 155 255 237 221 179 175 118 116 186 146 105 122 75 19 69 111 96 91 102 56 175 238 244 70 79 127 3 87 181 69 197 86 122 156 132 187 211 20 105 228 122 133 140 213 141 67 4 3 176 219 250 55 242 119 55 32 184 166 20 138 107 200 142 75 115 154 35 134 2 33 224 200 53 221 193 224 109 43 201 222 181 186 94 207 70 5 109 17 252 169 39 103 26 14 105 219 253 70 194 167 17 185 146 55 63 46 82 52 180 174 128 157 175 96 69 10 40 242 151 53 167 114 248 57 121 158 78 178 130 152 89 184 116 28 142 188 193 160 30 166 56 13 253 115 49 81 222 43 1 236 74 135 252 183 223 46 157 123 126 166 36 34 130 31 54 42 11 104 102 176 116 109 126 115 107 67 246 4 135 59 235 123 237 45 42 189 169 216 205 113 75 65 147 112 23 183 112 108 146 22 168 195 84 217 82 189 204 132 58 75 228 64 83 198 147 177 144 164 137 195 72 86 229 38 74 63 240 63 121 245 123 75 87 23 150 175 46 94 89 89 184 119 111 139 196 67 53 126 114 146 226 153 178 104 4 91 235 103 242 247 244 244 217 47 156 122 254 224 227 71 74 15 236 253 223 190 107 135 2 139 81 16 29 244 250 20 234 96 183 175 8 83 2 51 201 206 251 216 4 91 243 110 116 36 157 75 150 47 88 157 111 152 94 100 205 35 77 97 167 157 136 191 40 103 13 130 16 193 0 12 128 20 78 75 142 54 165 196 66 180 180 169 163 20 69 175 3 187 195 191 213 67 196 29 66 182 160 204 100 238 204 83 207 138 95 50 49 54 217 18 193 236 110 251 32 35 249 77 243 192 9 83 4 99 144 113 71 5 165 11 14 227 158 99 7 207 193 192 220 62 151 191 253 233 27 227 163 83 207 158 126 177 240 175 7 159 95 248 125 45 9 197 174 148 55 193 1 115 154 164 33 241 149 212 245 186 121 218 200 70 110 13 216 22 247 127 183 117 233 234 236 201 19 51 138 14 110 56 131 205 80 44 22 226 195 133 243 100 137 221 226 7 227 110 165 39 169 76 70 215 187 226 60 119 175 109 0 148 79 99 172 137 86 105 89 150 164 105 170 254 222 216 234 132 242 161 126 60 125 199 81 19 154 169 149 198 52 147 124 48 246 164 142 92 85 45 184 232 170 232 149 99 71 106 217 163 21 155 123 243 214 250 230 173 141 43 87 23 239 223 191 219 218 231 176 186 190 178 221 191 25 199 126 124 249 171 11 190 99 35 181 67 143 143 140 142 140 141 159 152 156 56 158 234 172 205 190 244 55 23 223 45 204 56 52 90 247 27 239 61 184 155 222 50 190 14 54 193 190 13 165 39 169 82 98 165 68 215 170 35 69 103 142 155 116 3 235 189 203 200 45 254 162 89 172 237 244 105 119 227 16 193 0 236 178 0 54 145 228 104 238 235 106 199 100 79 112 171 70 70 185 44 8 127 103 105 223 156 137 173 219 46 173 44 106 34 248 137 177 169 242 131 176 163 29 180 175 38 55 237 191 40 32 42 237 70 98 97 118 209 250 121 121 181 113 233 198 127 127 58 148 251 126 240 168 113 126 96 118 54 26 231 189 45 73 93 179 32 64 131 83 247 124 21 225 209 50 247 193 89 74 194 225 93 186 54 167 137 224 103 38 207 92 184 116 110 223 158 225 169 9 53 22 98 97 121 142 134 182 7 36 79 10 107 73 33 60 161 22 137 10 237 92 10 123 126 169 112 65 159 203 212 173 126 15 151 167 131 16 237 150 101 145 82 57 126 32 229 168 88 158 101 149 74 12 102 215 255 26 174 209 139 254 63 238 124 29 252 208 129 35 217 99 98 108 186 100 194 159 160 239 50 237 27 79 251 16 231 159 47 190 155 205 9 27 57 209 140 144 83 37 148 92 235 155 245 255 252 247 255 123 237 200 212 215 206 188 182 247 177 225 248 148 41 223 7 92 56 122 195 150 82 26 162 92 36 6 211 24 78 55 167 100 165 155 116 127 148 134 0 81 21 143 110 217 241 132 179 50 59 246 207 120 69 61 145 29 2 128 221 215 191 241 215 88 89 63 143 30 170 105 201 209 230 175 204 117 214 129 8 154 184 140 88 253 228 163 181 131 7 70 54 219 245 147 85 31 131 37 31 29 207 156 113 146 142 149 203 136 210 144 205 176 228 44 251 169 214 88 23 16 177 125 123 94 192 131 113 213 112 120 241 3 185 147 139 99 18 131 40 140 126 132 93 168 195 248 62 162 252 96 46 95 157 51 159 147 63 97 252 216 116 38 44 178 201 152 166 45 22 150 103 239 61 216 34 114 210 9 123 191 134 203 202 118 21 83 38 57 175 89 15 4 177 241 157 250 254 52 38 45 102 151 83 198 96 117 178 171 111 38 163 138 78 187 246 181 251 232 242 249 250 218 98 76 109 187 182 90 178 247 128 212 61 115 185 14 147 99 223 165 110 164 231 51 183 99 71 106 59 211 67 111 222 89 255 205 252 187 94 161 56 121 242 102 113 255 193 214 165 107 179 215 111 62 95 30 28 156 47 34 25 105 14 230 54 86 82 222 137 240 73 138 205 195 181 79 139 156 96 181 233 89 98 4 60 39 136 121 37 161 80 201 91 200 53 90 91 10 91 123 196 33 130 1 24 32 65 44 39 71 107 62 63 89 147 107 100 220 187 191 21 217 175 214 161 50 138 140 13 183 54 110 222 90 63 116 64 150 227 79 140 77 205 254 246 92 162 127 78 72 98 101 133 108 190 245 179 55 84 5 204 169 11 118 126 234 223 240 237 97 233 47 227 70 75 155 32 168 35 72 136 230 124 173 27 29 193 250 85 32 75 88 132 153 37 60 53 207 253 11 152 117 19 165 81 89 68 196 191 124 249 123 145 15 91 108 186 129 237 252 15 154 2 182 199 90 50 61 8 132 40 177 55 59 238 220 142 102 9 165 73 21 193 193 165 83 50 86 102 101 198 159 253 80 98 138 9 75 30 181 254 255 232 242 57 249 99 67 253 80 101 41 157 45 77 44 166 66 115 82 219 26 57 56 190 202 236 122 62 19 184 221 56 110 123 203 187 255 252 163 76 209 138 105 209 122 224 221 176 47 166 22 208 204 210 172 190 82 134 4 118 167 232 105 93 61 71 21 103 165 17 173 251 104 174 14 194 42 148 245 149 32 73 104 123 0 130 8 6 96 247 164 175 88 40 142 165 165 127 86 69 240 21 87 1 171 97 166 110 44 93 73 118 161 48 201 34 21 133 12 230 47 207 157 153 249 178 34 130 39 53 17 204 94 66 95 107 93 149 130 48 98 239 8 181 242 22 165 215 54 230 250 101 97 178 17 58 48 138 236 197 236 235 96 227 74 55 79 223 71 102 26 20 38 86 99 215 45 170 199 165 116 43 20 197 149 220 32 198 241 242 170 26 17 17 103 113 101 142 188 125 244 162 14 14 6 40 82 246 17 246 229 198 163 232 150 184 210 29 171 162 139 139 203 245 31 43 179 56 242 22 196 21 165 69 162 200 160 178 239 242 20 109 162 110 11 215 55 236 248 135 112 221 134 186 90 178 120 243 199 223 207 102 242 153 2 126 237 15 94 223 49 95 111 132 127 190 248 78 54 15 244 146 66 152 72 161 10 247 42 197 212 89 24 23 236 150 206 137 238 116 147 102 26 28 189 217 217 173 133 68 201 61 132 180 66 200 233 183 88 250 65 198 231 9 17 127 77 244 196 237 213 30 207 91 225 212 114 34 148 77 6 96 160 101 242 246 191 123 30 27 30 61 44 143 13 11 118 44 68 187 167 38 123 179 72 68 1 219 63 120 99 48 41 178 137 26 233 216 180 67 110 165 205 162 136 104 112 5 135 172 86 131 194 247 154 2 214 106 111 122 197 144 141 241 107 38 27 165 200 179 216 10 130 140 142 87 148 13 203 234 62 116 30 108 151 98 14 15 216 8 245 238 123 92 72 217 141 70 8 247 21 93 190 54 215 137 2 174 207 110 199 80 14 21 59 225 194 208 8 82 134 55 162 62 222 65 185 13 216 22 40 23 178 46 171 156 28 175 135 236 255 201 46 68 252 112 187 88 55 179 100 57 15 173 79 120 168 124 11 7 211 182 120 33 101 46 123 60 20 76 215 47 24 238 221 182 156 182 195 175 138 38 110 148 100 167 198 162 214 155 255 240 70 107 51 220 46 178 118 179 254 222 236 91 13 107 108 89 242 80 176 197 211 14 115 183 58 76 113 127 158 86 60 217 187 146 198 56 101 228 133 102 10 90 202 233 76 90 246 147 63 242 178 240 15 149 82 237 250 131 57 40 68 108 18 10 125 123 54 111 29 36 63 12 14 207 62 200 232 241 135 167 227 247 162 210 27 189 62 214 27 92 188 50 156 16 193 0 236 146 186 77 119 100 26 51 165 184 129 77 59 72 151 60 57 235 38 165 242 115 84 25 103 139 210 118 121 219 240 173 238 107 242 247 70 194 130 247 237 29 62 118 180 166 250 156 236 65 218 68 189 5 44 171 25 118 21 140 218 137 71 228 175 85 53 62 85 86 6 67 190 58 156 200 218 92 234 238 243 158 218 62 47 69 76 27 150 36 93 215 206 96 217 213 212 138 136 120 176 117 249 218 108 103 110 224 226 49 228 39 9 38 183 100 6 145 80 200 131 250 112 151 177 41 219 10 230 217 70 252 97 124 237 91 188 221 83 15 109 5 35 78 207 98 210 51 242 2 19 200 83 173 235 96 97 150 232 127 139 116 31 249 183 143 123 149 228 44 111 61 154 158 237 186 14 190 126 179 254 214 187 111 24 218 158 200 121 214 155 155 116 209 109 146 211 247 82 7 22 90 170 65 197 199 67 215 42 92 137 28 138 102 113 182 35 60 148 30 76 180 237 200 156 223 233 232 194 195 179 149 253 67 89 226 115 244 116 188 19 87 13 216 58 35 33 232 191 249 128 8 6 96 247 29 189 28 206 86 221 23 214 70 39 197 207 216 188 189 126 243 214 134 230 72 35 242 29 192 228 234 92 187 146 109 248 112 254 106 138 39 243 18 205 34 141 28 17 41 185 78 89 118 98 201 82 50 80 192 158 203 68 244 231 121 242 215 241 43 27 167 115 175 54 109 97 221 197 86 213 125 104 5 192 248 47 211 196 92 111 113 87 0 108 75 232 192 25 124 233 234 28 89 234 97 91 73 12 57 206 96 199 14 77 249 78 163 222 223 118 172 251 80 195 5 235 136 175 203 53 161 176 149 195 214 247 127 109 250 174 66 255 153 230 14 228 192 203 27 202 92 255 102 209 157 214 234 204 205 8 43 51 156 114 61 187 179 195 124 125 32 235 94 126 184 75 58 184 126 125 254 173 159 189 209 90 205 200 117 176 55 121 19 111 31 167 147 44 93 86 210 123 65 54 209 118 41 155 93 203 182 151 203 199 135 73 75 28 28 153 62 37 42 233 232 93 96 210 58 73 231 214 136 170 118 193 99 237 222 2 190 14 110 191 166 245 60 98 130 1 216 77 95 112 100 169 221 13 8 150 3 52 87 215 87 38 78 76 37 58 255 188 12 151 169 249 222 67 221 217 16 223 27 90 232 222 244 147 167 206 207 190 99 139 114 242 50 178 89 41 90 201 123 142 221 26 203 70 184 50 242 216 204 202 96 195 210 56 93 38 43 229 237 212 114 241 177 84 103 152 183 115 206 75 214 163 21 100 142 12 159 61 148 193 98 144 204 229 213 106 34 120 113 165 17 11 97 134 220 213 6 227 6 7 155 64 43 120 57 209 200 74 30 210 163 27 45 204 15 200 145 92 188 94 105 149 210 197 1 237 45 156 96 141 238 91 156 178 41 44 21 187 182 195 232 163 181 9 228 76 23 20 61 54 235 153 60 240 215 219 9 42 47 33 80 186 157 165 190 236 238 131 173 31 254 248 141 111 189 188 163 241 193 231 62 122 59 123 120 179 53 99 98 177 58 182 209 146 214 111 152 228 46 38 190 1 32 82 129 133 99 151 156 131 96 110 245 160 72 77 208 86 82 173 211 40 71 206 29 77 147 236 17 208 219 57 64 177 57 152 93 131 211 46 243 25 111 21 136 96 0 118 73 255 38 251 137 107 163 106 70 170 233 39 102 178 199 64 157 223 19 99 211 114 204 177 45 74 88 200 134 198 228 234 96 163 166 32 53 145 108 193 97 193 97 174 120 229 227 89 41 173 196 2 93 26 128 83 136 78 43 200 44 204 153 250 76 91 235 100 138 246 242 234 236 147 199 82 173 235 242 181 57 34 97 198 21 74 10 10 198 221 226 186 115 143 246 198 5 195 167 167 225 188 194 49 198 72 187 39 171 134 45 113 154 26 8 228 178 93 120 194 175 32 104 228 28 100 242 92 209 72 177 245 225 231 132 214 228 238 168 247 138 137 80 149 123 38 82 43 177 220 240 172 3 110 248 131 223 110 234 224 145 190 235 224 250 245 249 247 230 126 180 126 179 222 202 111 237 109 220 164 160 42 135 83 252 210 222 125 69 101 217 124 19 199 2 78 168 44 104 202 39 84 246 113 106 217 87 194 236 209 97 245 31 54 202 13 18 215 193 172 11 122 165 155 213 206 58 49 135 39 219 101 92 220 156 24 145 102 65 56 4 0 3 33 136 237 228 104 158 167 115 82 15 8 30 76 166 79 206 200 171 135 17 119 154 81 246 20 123 245 222 88 86 45 254 62 30 47 246 151 119 68 62 166 5 204 69 22 236 56 20 97 172 100 177 237 185 244 149 20 106 165 136 136 203 86 44 196 246 166 34 207 169 70 86 16 112 80 172 46 101 49 185 55 183 27 251 141 213 129 199 139 93 155 12 195 120 138 224 156 64 1 135 97 184 94 192 122 104 177 226 62 42 81 118 135 181 214 195 195 118 214 219 57 26 45 205 209 153 33 249 2 209 107 205 164 105 101 240 130 252 115 50 29 252 215 111 191 177 186 209 199 184 136 75 87 103 223 122 239 251 63 250 249 27 235 155 117 47 248 193 219 214 233 157 157 189 166 81 185 132 114 202 78 92 253 149 66 55 194 74 192 55 59 225 118 98 55 232 7 60 24 55 246 70 11 48 51 101 91 235 236 215 71 227 193 228 112 8 19 220 77 156 182 177 47 216 70 92 218 107 194 19 12 192 110 72 223 104 114 180 32 32 120 234 209 58 193 137 19 147 243 151 103 29 117 229 186 232 188 250 113 118 150 37 50 82 150 177 48 131 149 22 173 200 73 62 146 244 209 57 93 254 118 240 122 187 160 180 93 215 87 40 100 93 53 75 81 5 231 157 165 105 220 63 92 94 75 21 193 153 152 184 247 112 139 134 36 215 160 82 36 217 14 11 217 161 228 104 9 250 184 84 1 11 9 167 53 15 153 100 138 90 165 229 188 221 141 91 148 219 144 119 235 4 247 17 71 229 43 87 51 93 34 255 187 124 133 167 180 163 95 76 152 139 15 76 153 191 81 152 238 205 108 111 63 248 155 159 188 241 249 103 94 104 189 104 252 216 100 235 135 131 251 71 180 202 65 165 172 172 207 95 191 185 178 178 190 184 178 190 208 200 4 108 156 60 15 229 234 214 202 86 198 225 218 69 36 162 32 205 14 57 98 63 146 45 198 46 47 7 37 65 163 119 89 73 224 68 100 145 77 59 17 201 56 41 241 118 228 96 66 197 130 145 24 211 97 58 228 252 147 32 130 1 24 72 161 220 30 101 15 14 143 104 201 209 6 88 4 79 81 89 210 83 163 12 231 76 142 44 54 161 143 205 72 161 102 44 13 234 44 139 131 202 58 184 44 68 53 62 74 69 58 224 34 247 176 145 214 50 171 84 242 235 185 52 206 90 176 145 35 34 45 34 226 242 234 28 133 153 161 20 49 65 94 33 43 238 139 2 230 200 160 200 82 122 221 210 140 191 70 143 166 213 189 119 229 10 216 211 193 237 119 145 84 84 220 14 84 8 231 147 225 20 49 52 78 138 214 103 206 139 132 151 123 230 201 41 176 18 222 84 133 70 76 190 203 76 40 199 51 29 252 96 235 151 179 219 161 186 191 154 107 47 50 24 63 243 116 237 232 148 172 200 115 237 123 125 65 222 217 22 42 120 35 91 172 127 221 172 115 204 69 60 245 42 118 191 52 154 86 82 192 204 66 175 181 157 131 156 139 144 27 249 242 83 80 195 72 17 181 156 80 87 153 117 173 204 74 191 170 229 8 98 239 149 145 216 104 189 163 22 82 230 183 13 12 34 24 128 29 119 56 233 79 123 107 79 230 17 116 3 155 102 105 211 162 126 114 52 183 188 231 251 36 93 252 121 121 133 197 152 96 214 118 150 84 242 66 36 204 79 98 74 130 147 90 94 136 250 37 111 223 160 82 249 182 231 59 228 164 220 100 121 81 183 139 43 231 75 69 240 189 134 86 158 35 210 39 15 210 214 34 162 126 150 193 43 145 198 202 66 179 81 18 149 152 18 175 88 185 247 206 210 16 123 247 12 143 142 140 237 125 108 120 244 200 88 254 247 91 119 54 110 222 218 200 174 201 242 181 5 53 88 146 84 29 236 221 36 17 189 162 21 118 110 28 213 145 177 134 135 245 241 145 188 237 214 110 174 220 191 191 117 125 115 165 229 49 45 220 192 162 99 152 130 235 204 213 204 48 23 205 20 216 36 153 66 187 8 21 88 26 254 221 133 176 162 91 104 210 145 252 128 36 205 3 197 126 131 172 43 217 203 117 140 148 80 28 46 51 87 107 110 105 215 123 47 221 34 102 207 127 124 27 243 162 245 74 59 186 148 253 24 148 92 248 147 220 34 231 21 187 104 193 27 227 90 47 68 48 0 187 36 133 195 104 173 48 159 203 35 24 16 220 226 137 19 83 179 183 207 201 195 81 92 154 52 181 209 23 79 191 228 253 253 195 75 231 110 221 222 16 51 230 178 180 114 151 141 229 83 19 51 83 227 167 178 223 198 143 79 155 102 58 185 205 219 13 93 190 122 99 229 254 189 187 203 171 11 107 27 43 247 238 111 117 124 142 71 15 215 178 111 25 61 60 214 212 52 251 178 103 178 95 15 62 190 189 74 187 124 109 190 241 93 27 43 215 111 172 100 202 230 102 107 74 144 31 96 88 136 206 248 85 244 122 163 246 18 20 112 164 178 224 149 181 217 171 27 243 170 171 166 201 213 141 197 70 94 8 49 209 47 233 18 196 218 72 68 220 127 103 119 123 150 245 191 252 225 255 230 253 229 239 222 249 126 125 109 65 27 200 109 254 197 87 95 31 31 157 182 159 89 94 157 255 219 127 124 163 212 26 185 169 125 79 79 158 125 102 234 76 233 78 175 150 161 46 175 46 174 221 88 169 175 46 20 38 202 190 14 174 29 155 250 163 175 125 215 123 251 223 252 227 247 27 74 90 219 60 74 190 246 61 53 117 246 212 228 153 209 232 81 101 199 112 253 102 189 126 125 241 210 202 92 246 131 167 71 195 25 78 103 173 73 158 229 219 153 245 220 226 109 145 26 132 41 107 80 20 125 42 212 190 254 172 156 220 210 199 201 10 152 227 142 76 235 137 241 99 83 217 175 219 115 18 206 141 173 209 172 89 175 117 183 101 18 154 2 182 164 112 81 138 146 11 95 181 118 69 4 29 236 222 248 92 26 107 27 186 165 217 140 159 152 218 183 103 248 232 200 152 253 109 173 179 104 25 106 137 221 216 178 62 222 49 102 221 254 129 145 198 163 209 15 143 180 94 121 107 107 99 243 206 134 188 14 208 4 34 24 128 93 16 192 198 168 33 83 198 221 67 163 37 71 27 112 198 79 76 206 46 156 139 108 172 217 30 59 216 141 139 109 47 219 61 123 234 37 239 3 235 215 22 90 18 182 100 97 174 57 174 127 229 204 43 167 166 158 245 254 146 201 211 150 66 109 105 98 91 112 164 159 87 67 91 143 207 140 31 159 204 70 41 45 101 199 246 21 104 126 75 254 93 11 75 179 255 253 220 91 55 243 239 10 55 248 179 19 21 29 118 247 253 222 27 167 169 213 191 63 255 134 51 84 75 215 92 219 27 164 249 210 140 217 185 32 96 174 20 134 24 38 171 78 190 163 181 139 147 145 205 199 94 126 238 181 184 193 120 134 154 91 206 127 250 203 255 64 65 110 62 47 26 88 116 134 133 122 133 220 195 205 132 239 43 95 249 211 124 218 22 33 59 242 218 232 116 246 120 246 153 151 110 109 173 255 221 187 111 100 218 194 24 41 185 158 149 243 46 23 181 220 81 98 22 223 13 236 206 217 228 234 220 158 191 144 42 154 125 168 125 67 31 176 85 215 61 253 188 184 236 169 108 62 147 61 198 143 77 142 30 174 149 218 201 234 70 253 195 133 243 115 11 231 178 201 73 36 157 51 53 5 232 107 47 127 87 252 144 159 255 230 237 95 124 240 182 241 118 101 180 125 168 95 156 121 233 75 51 47 137 111 252 235 159 124 127 41 19 175 101 230 55 126 124 234 11 207 188 80 154 188 104 117 189 254 254 135 239 206 205 159 211 174 85 190 44 246 173 63 120 125 194 237 186 255 243 223 254 199 252 215 211 83 103 95 250 189 111 107 223 242 127 254 245 127 112 204 213 50 18 136 96 0 118 92 255 198 101 177 53 122 77 142 205 60 162 231 154 245 125 244 179 55 57 217 1 44 228 71 19 95 95 22 19 156 62 174 123 202 56 81 156 253 219 111 254 121 103 23 36 147 65 217 168 144 233 224 108 232 242 116 176 23 22 82 56 102 58 136 10 230 78 85 96 124 171 147 181 37 69 168 137 77 186 158 16 37 133 53 90 247 37 40 130 165 184 234 174 111 216 120 68 175 209 3 99 78 101 195 243 115 223 238 236 16 178 145 62 255 100 111 183 92 228 120 88 73 220 102 223 143 199 70 106 127 252 226 235 137 186 220 230 192 240 145 134 2 38 75 140 134 138 149 221 91 169 155 9 143 91 161 205 184 69 7 115 187 34 18 14 166 179 28 198 100 74 130 161 69 239 47 133 185 192 211 76 235 235 95 124 45 155 87 87 106 136 172 237 142 157 173 125 233 179 47 254 248 189 55 231 175 204 138 109 237 53 119 204 110 195 251 186 52 229 121 116 231 232 190 199 134 95 249 218 159 218 130 53 118 46 71 106 47 63 255 237 207 63 243 66 118 46 107 235 117 78 238 190 236 126 59 174 128 157 54 9 74 171 34 69 26 0 59 43 131 237 18 113 94 94 136 32 22 66 43 20 55 248 52 67 12 107 20 73 6 201 86 114 140 112 228 78 185 128 198 79 169 179 103 207 112 37 5 92 54 26 10 79 181 68 73 199 215 36 235 169 157 117 103 45 179 44 251 117 233 252 170 81 189 155 131 169 99 182 43 139 157 236 102 65 81 110 161 48 114 88 90 150 156 79 171 228 168 171 112 46 101 212 215 230 75 198 117 55 197 152 109 98 245 181 69 45 126 134 195 138 172 219 67 245 200 87 206 188 218 241 209 218 203 20 97 202 191 123 247 239 110 222 89 151 47 142 150 186 152 183 87 75 58 83 192 166 25 2 238 7 7 83 130 81 81 247 183 162 37 124 195 232 8 247 73 209 20 181 7 153 192 128 21 21 46 104 235 138 85 135 236 219 188 245 56 53 249 108 103 13 145 189 235 213 175 126 103 122 98 38 146 117 36 181 30 102 250 190 183 50 5 124 104 255 200 255 248 71 127 150 168 128 109 41 252 218 203 175 111 199 163 7 223 162 5 98 181 174 91 138 2 22 91 7 217 33 0 216 97 253 155 244 50 55 22 226 244 163 123 198 19 39 166 214 54 234 66 194 160 192 81 199 86 189 128 86 80 218 127 253 217 15 198 143 77 62 243 228 217 124 120 144 107 233 185 215 245 229 231 94 11 21 240 210 181 249 76 73 108 222 190 209 236 52 247 29 107 134 166 217 193 187 170 179 71 17 37 225 27 51 97 180 214 204 102 186 116 109 49 127 114 252 248 100 118 240 97 0 232 87 206 190 242 195 183 223 112 214 183 67 103 176 94 12 172 130 141 5 46 20 121 223 119 186 2 161 132 116 69 162 211 165 218 53 238 232 230 178 131 26 117 123 203 174 240 223 189 243 70 54 89 250 246 239 255 187 3 82 142 173 248 33 253 114 238 237 236 241 197 83 47 125 209 94 41 142 190 231 75 159 121 209 147 56 217 60 106 233 234 66 102 144 75 205 128 200 252 90 101 179 163 204 62 15 61 126 184 17 104 62 162 174 137 23 94 97 54 107 55 234 255 247 91 255 241 224 254 145 63 250 250 235 121 202 48 54 101 153 40 148 163 90 190 182 176 188 186 184 121 103 195 214 148 141 217 236 225 177 3 251 15 143 30 174 29 61 212 48 230 86 76 112 36 15 195 182 169 116 31 231 173 37 160 208 18 56 120 27 255 75 125 186 9 55 128 159 190 128 186 155 130 74 137 71 150 87 231 199 143 77 119 124 145 94 126 254 181 204 156 238 218 129 227 214 161 103 253 213 252 149 217 172 43 14 155 123 109 99 37 54 87 92 93 16 15 108 249 218 252 45 123 98 22 156 227 43 95 253 78 199 154 62 59 151 55 127 252 134 115 185 172 6 88 88 186 112 232 128 211 111 103 125 233 218 198 213 175 158 45 153 100 102 183 73 62 153 241 98 33 32 130 1 216 89 25 28 164 46 114 82 238 187 110 158 3 195 106 46 204 159 255 230 237 159 255 243 219 142 91 194 10 140 83 119 141 4 155 72 82 246 219 134 57 158 108 7 246 243 159 125 245 115 79 125 89 124 227 212 196 169 95 95 120 71 28 54 28 25 204 86 161 203 246 15 139 203 179 217 227 222 189 187 133 218 240 60 199 193 78 234 241 227 83 83 19 51 182 48 253 245 135 239 190 255 225 187 142 235 206 117 219 100 82 99 116 100 44 83 219 167 38 159 245 197 25 249 174 136 150 60 189 247 224 110 235 195 151 179 65 226 218 226 234 70 125 249 234 130 42 164 216 236 219 51 252 249 83 47 60 247 217 66 51 77 28 159 62 118 184 150 189 81 204 5 27 203 82 148 54 153 42 207 132 17 214 127 238 32 111 92 7 91 247 250 25 4 92 92 49 14 242 141 4 231 119 63 107 190 235 11 207 68 18 205 114 108 223 207 242 218 194 23 147 167 34 158 77 254 211 185 183 138 240 71 118 132 93 177 73 168 121 216 173 205 61 13 61 193 66 187 216 123 152 50 217 218 152 155 121 167 35 233 45 106 171 141 47 60 243 101 175 63 249 197 111 222 246 251 144 118 241 136 75 43 179 185 32 174 141 78 29 216 63 66 129 67 84 140 117 233 61 210 122 2 145 34 133 171 75 222 184 237 251 233 128 43 134 59 71 132 163 163 77 111 172 172 173 175 172 222 88 185 119 111 43 147 155 55 45 197 153 117 113 153 73 156 154 58 99 251 89 247 54 123 152 159 191 255 182 255 105 77 219 184 121 107 227 239 126 250 131 172 23 250 147 87 255 93 46 31 255 159 255 250 23 107 97 9 18 119 31 66 99 70 116 109 33 235 33 255 213 31 124 47 63 182 191 252 251 255 116 247 222 86 232 149 200 57 61 117 214 174 116 157 25 252 236 197 115 243 87 230 54 111 109 56 91 47 168 97 222 199 143 212 166 158 56 117 122 250 89 203 111 50 61 113 124 106 233 218 130 120 221 178 209 228 215 31 190 147 73 222 47 156 250 114 251 235 252 141 31 217 121 53 58 252 246 105 180 68 252 253 7 91 36 206 175 144 29 2 128 93 113 3 59 106 152 5 31 103 75 100 78 233 91 226 22 174 204 9 30 11 146 86 9 53 53 156 236 35 201 243 171 179 237 125 201 14 251 97 51 51 209 245 69 77 4 55 122 106 82 220 147 97 16 176 173 131 141 94 18 86 95 234 61 61 117 198 238 124 127 248 246 27 107 90 173 169 246 39 95 191 81 207 30 217 72 99 139 224 152 100 52 38 83 213 191 248 205 79 178 79 150 171 220 5 163 194 221 251 91 217 116 37 27 3 94 126 254 219 246 96 150 137 224 220 109 41 56 131 67 175 109 90 245 35 14 142 217 251 22 49 197 108 53 159 112 197 90 184 194 175 9 113 162 61 11 20 22 221 225 141 148 100 55 82 68 73 234 174 127 229 101 89 67 231 94 177 18 155 12 190 182 185 124 177 33 95 124 111 47 191 174 224 195 152 96 106 198 40 219 47 127 251 189 191 42 226 212 163 141 120 239 193 214 165 171 179 182 131 54 94 41 163 115 179 145 218 142 226 178 149 20 5 76 213 172 59 246 103 78 158 199 137 165 64 229 223 179 9 255 133 86 50 144 76 116 182 210 74 178 210 177 44 53 231 219 217 36 42 83 138 175 126 173 112 184 78 79 156 110 136 96 45 156 150 27 189 80 166 134 115 17 28 51 66 183 92 139 253 202 236 32 115 127 179 182 206 240 220 231 94 204 127 158 187 248 171 159 254 242 71 141 173 123 44 12 40 45 243 190 120 101 118 249 218 162 221 55 158 158 62 179 116 117 33 234 214 45 28 216 89 47 186 176 52 151 93 183 123 247 239 54 14 85 153 197 29 104 71 89 132 110 96 196 4 3 176 67 10 88 200 98 19 150 74 118 31 39 199 78 137 159 151 117 43 121 41 81 59 76 147 40 77 7 7 117 65 83 30 166 93 17 215 88 191 102 253 199 165 149 217 200 169 79 183 220 96 98 241 51 118 51 239 184 9 227 56 90 129 66 236 130 109 151 219 127 63 247 214 106 83 167 86 14 160 141 102 53 230 70 192 195 66 235 147 253 26 182 209 26 181 217 184 53 55 255 43 75 27 77 202 227 162 56 114 178 146 243 88 124 19 75 33 161 156 154 121 84 188 26 94 8 165 161 10 143 240 185 222 222 88 220 157 120 21 110 82 147 116 169 19 47 166 29 255 189 176 52 235 139 15 42 57 24 181 52 44 59 203 71 172 204 177 181 186 202 185 249 153 102 176 144 189 83 51 238 130 85 197 37 245 168 53 131 154 35 29 204 133 200 117 21 199 45 84 112 51 151 26 107 119 225 236 161 105 253 250 195 119 222 254 249 155 23 22 206 133 10 152 197 142 165 169 134 127 252 179 55 243 95 143 29 169 237 125 108 56 239 136 28 147 96 245 198 17 62 152 59 180 243 214 103 101 214 158 235 236 205 219 235 255 240 238 155 161 2 14 63 97 246 226 185 247 218 171 154 166 185 163 58 126 72 155 86 174 201 76 1 255 226 55 111 103 34 184 184 179 200 106 202 54 183 238 108 120 107 8 246 175 16 193 0 236 184 36 86 74 37 219 110 224 61 143 13 107 129 98 219 219 129 165 49 40 95 166 84 179 202 15 21 242 215 12 57 155 72 34 242 183 216 23 37 169 106 113 167 145 167 246 228 30 144 157 105 64 177 89 80 116 124 230 47 80 20 112 238 23 201 250 223 237 236 108 81 241 87 109 193 212 219 151 198 254 224 93 54 188 100 67 221 207 242 159 247 238 217 103 88 31 117 244 141 89 149 99 130 37 143 32 107 234 57 109 82 80 69 3 119 230 127 75 78 76 198 129 215 211 142 50 50 82 245 129 20 135 58 119 170 128 3 90 217 163 183 29 99 11 231 43 72 70 209 162 172 78 195 159 134 69 13 201 123 229 180 53 93 124 223 50 203 164 54 34 57 97 89 151 13 26 201 243 213 225 188 38 112 248 117 106 172 189 211 250 236 235 251 80 173 218 146 151 195 62 199 106 202 108 20 88 93 47 230 84 173 194 43 172 85 143 211 231 231 92 253 20 88 153 137 78 28 47 234 58 189 247 254 79 180 57 76 40 208 223 159 123 215 234 27 135 39 78 76 197 230 90 165 150 25 68 132 107 159 65 16 193 0 12 132 27 88 234 230 34 133 226 150 173 221 87 178 60 177 186 0 242 182 75 27 107 157 200 36 109 160 38 45 206 184 173 170 47 93 189 160 139 224 41 187 7 242 245 28 59 217 33 236 168 95 150 180 166 216 161 243 182 203 173 200 196 62 191 52 215 147 234 77 41 79 134 222 86 205 123 103 143 88 118 216 156 47 224 18 171 40 117 118 18 44 85 126 74 86 21 149 221 185 146 200 160 206 174 124 153 164 240 39 42 241 145 187 27 141 203 38 93 166 217 147 192 124 25 55 53 18 137 43 148 172 19 206 55 188 20 205 159 237 157 154 247 238 111 45 44 205 246 91 251 85 182 84 22 156 166 73 147 64 210 141 112 0 28 31 206 169 73 30 122 150 42 77 136 125 78 235 209 232 232 218 236 219 59 220 241 193 177 116 168 204 149 251 23 219 218 231 47 207 165 31 194 221 251 91 75 87 11 79 74 184 153 184 195 204 34 110 78 61 10 187 47 164 72 3 96 231 122 118 171 139 17 51 163 113 238 30 104 190 102 170 118 74 251 212 249 43 115 254 110 23 123 27 181 151 27 200 56 201 140 194 125 114 197 99 200 125 72 206 224 98 51 138 213 215 212 175 171 33 92 89 119 118 104 255 136 56 204 217 11 187 204 126 222 52 163 87 222 114 62 132 133 21 222 133 165 185 200 187 122 163 192 180 177 45 250 250 188 163 151 119 79 179 238 195 227 106 229 27 188 11 205 44 77 183 42 125 20 69 213 109 162 107 141 170 92 254 148 16 14 246 77 133 83 154 178 227 221 253 202 33 37 78 39 236 13 154 20 184 167 168 163 67 226 132 51 245 142 218 206 66 165 237 64 42 151 149 149 14 51 45 156 221 137 252 97 165 185 203 62 136 2 25 52 80 163 128 150 180 206 15 2 102 191 249 196 21 166 235 235 69 116 172 237 5 232 82 7 151 27 182 210 16 199 218 101 192 179 9 191 144 73 48 218 112 118 94 157 61 123 247 217 179 23 167 41 227 110 96 74 120 101 144 63 4 34 24 128 157 118 3 8 127 117 165 73 214 251 212 142 201 158 96 185 127 9 70 86 63 155 166 241 21 176 167 149 133 224 185 192 25 44 198 87 100 143 245 205 250 173 59 106 246 92 103 109 75 170 17 205 158 86 147 220 192 158 62 54 65 98 87 219 121 176 182 190 210 243 217 139 60 66 176 42 53 250 103 76 165 1 17 204 78 108 37 199 53 37 15 204 61 82 101 198 18 166 245 117 62 65 74 185 157 20 21 45 134 210 178 27 163 217 205 244 41 76 167 64 157 42 96 219 131 168 203 151 208 12 70 143 20 106 41 158 36 171 55 253 30 87 191 227 2 215 190 172 29 171 223 29 187 104 223 98 65 80 241 236 202 75 19 183 185 219 69 201 247 74 19 152 68 172 128 224 141 106 115 39 50 118 218 181 137 227 147 254 194 81 100 29 201 189 131 188 92 73 222 80 72 146 20 134 8 6 160 239 14 0 123 84 200 35 95 53 55 112 246 239 232 225 154 150 28 109 126 105 78 29 212 189 121 176 85 203 192 72 42 214 47 100 160 5 66 24 33 189 154 39 175 35 206 224 90 211 71 203 81 247 15 27 55 32 216 242 136 139 186 39 220 44 98 239 193 143 141 13 220 65 187 201 66 83 86 96 166 55 149 44 180 212 247 229 193 172 28 188 88 26 107 237 189 83 204 131 113 131 112 181 161 87 8 173 137 124 102 32 148 213 195 145 228 47 247 98 146 19 137 174 78 191 96 222 12 167 210 244 166 245 132 29 166 156 137 21 238 224 102 224 104 51 138 235 248 156 20 22 108 55 40 179 126 175 37 184 132 121 87 237 153 147 133 62 27 181 42 4 239 202 193 119 250 173 227 150 179 99 53 209 13 97 153 254 205 91 27 226 221 225 40 96 165 224 133 38 148 41 188 199 72 72 35 13 17 12 64 159 251 150 120 151 29 184 129 27 121 33 244 26 25 11 205 88 8 142 247 42 65 250 76 251 158 23 179 202 59 99 50 9 213 194 236 30 36 236 101 34 97 193 173 130 70 130 131 39 56 235 34 32 88 212 124 98 56 93 16 230 184 154 150 130 42 221 201 33 239 205 215 164 85 79 246 84 41 209 174 169 41 11 216 223 99 196 97 178 231 221 213 13 97 86 13 150 252 175 165 159 192 66 148 179 16 93 205 125 9 0 246 143 36 113 208 167 174 123 18 227 70 210 151 94 102 247 28 108 79 176 236 177 75 147 116 194 164 84 204 83 97 146 130 133 236 5 49 86 46 111 117 93 61 120 62 17 55 54 41 54 207 239 250 60 169 39 150 150 48 87 228 46 15 76 138 94 160 224 175 68 81 21 237 141 104 210 228 82 75 103 2 17 12 64 255 189 92 158 27 216 88 27 132 3 55 112 51 32 88 22 193 141 228 104 235 37 185 111 73 210 196 130 32 118 243 197 196 194 33 148 158 203 30 209 87 116 79 112 171 126 114 172 203 12 179 122 233 99 60 75 187 160 246 236 217 215 89 235 132 209 138 242 176 164 199 230 114 175 37 36 179 172 96 82 20 48 27 57 183 154 144 148 154 213 139 201 201 241 151 61 80 248 221 68 104 4 251 41 101 209 192 157 126 50 75 123 233 148 64 29 77 174 172 222 176 163 54 107 198 13 208 143 137 101 170 96 42 166 39 107 17 201 237 39 154 34 43 49 45 21 2 130 141 223 160 130 41 178 188 237 175 135 123 73 59 238 225 59 121 7 119 62 161 210 244 37 145 46 52 123 114 66 202 58 64 184 155 45 97 70 88 100 81 180 75 14 77 156 152 118 124 49 228 138 93 209 113 99 252 220 213 206 151 40 91 226 32 130 1 232 191 18 142 196 174 41 93 252 158 199 134 71 149 14 101 254 242 172 137 59 183 130 220 245 36 38 139 112 181 44 121 29 10 57 9 98 141 246 9 121 184 69 51 139 126 253 186 154 40 173 72 157 99 71 59 176 155 36 136 203 75 216 115 194 154 221 189 251 119 43 245 245 204 213 155 175 131 193 73 76 74 154 60 74 249 1 133 209 99 142 100 0 13 221 216 90 140 117 215 171 163 157 14 179 101 121 178 226 202 44 166 34 74 213 24 71 223 203 169 39 199 86 155 222 183 172 113 59 83 10 185 233 150 195 225 156 122 33 92 210 218 111 243 214 6 165 127 32 235 145 9 17 67 52 138 167 191 146 210 98 201 116 181 166 233 219 252 173 199 19 9 238 209 45 35 73 225 74 242 183 39 95 189 215 242 68 52 106 31 42 117 251 136 124 5 172 206 250 236 120 188 112 180 82 250 89 47 127 159 175 137 73 240 18 65 4 3 208 255 78 143 163 158 176 60 35 108 243 215 169 113 53 22 162 177 133 182 155 122 93 210 44 60 210 7 249 146 58 250 105 151 86 212 136 136 169 137 83 113 221 233 73 97 54 49 127 91 120 5 14 89 27 222 123 181 215 167 100 148 170 226 6 166 14 255 22 200 217 244 138 201 214 41 48 151 201 253 190 13 198 93 14 187 165 130 53 182 64 206 101 249 230 58 61 44 230 88 109 19 175 73 109 107 252 210 103 94 220 206 204 224 205 48 73 41 74 98 186 74 168 172 253 197 246 216 109 222 217 168 168 235 221 41 138 152 174 152 253 84 205 21 172 151 5 231 46 39 222 170 65 139 15 144 12 174 184 21 161 195 35 239 93 26 227 196 221 180 73 123 65 189 172 243 222 232 67 74 56 68 144 230 153 72 94 69 113 82 24 105 31 30 25 3 9 101 147 1 232 79 151 23 198 56 178 152 27 193 243 131 54 242 66 76 106 31 92 41 249 98 106 159 88 186 50 155 182 237 61 178 55 174 177 188 149 150 111 161 40 209 220 46 170 28 239 127 91 199 110 103 125 218 137 113 139 11 61 177 119 207 62 123 71 136 127 226 110 173 144 48 61 48 85 53 170 74 58 216 205 208 76 238 47 106 109 234 93 84 8 92 37 20 146 197 115 75 126 166 236 234 85 75 26 165 176 118 163 8 94 218 187 103 248 95 127 227 123 191 248 224 39 11 203 179 219 193 184 28 223 49 159 58 61 161 200 219 201 127 133 156 158 79 251 88 46 234 120 59 55 169 17 234 159 59 215 205 50 215 170 117 134 141 91 220 91 248 183 106 155 14 66 162 180 196 43 192 173 126 67 237 82 178 222 38 63 155 131 143 31 78 234 219 169 47 61 34 187 95 34 28 12 197 118 111 147 145 162 29 148 83 72 12 166 143 76 29 35 206 113 136 96 0 118 218 13 192 82 199 151 63 59 53 62 35 126 76 145 28 141 19 148 171 247 155 189 61 182 186 2 35 75 116 178 50 56 95 191 217 72 148 118 64 73 106 241 212 19 51 23 155 133 238 212 144 6 242 135 88 38 201 223 147 226 129 160 52 247 17 165 181 88 240 81 153 230 126 238 115 47 78 63 49 147 168 39 6 197 8 169 144 191 94 235 239 168 78 136 167 113 232 56 91 69 32 215 76 40 250 59 152 242 36 28 88 228 120 51 177 187 121 123 61 79 29 149 25 204 87 206 188 154 61 154 127 90 15 247 165 45 175 54 150 122 214 110 172 172 109 212 99 187 214 42 65 82 63 80 209 114 182 167 76 166 144 167 141 171 157 235 224 176 45 140 30 180 93 233 123 89 88 82 47 230 111 143 138 192 77 224 244 244 217 169 137 211 153 252 237 176 87 137 234 93 18 101 32 151 119 24 233 166 110 123 34 138 202 29 36 77 203 131 8 135 152 246 245 108 88 44 4 216 157 223 7 34 24 128 157 211 192 177 88 136 230 207 227 199 212 78 112 233 234 194 96 157 88 115 20 180 207 110 249 250 194 51 138 8 30 63 49 121 241 202 108 106 167 171 13 174 146 7 66 214 192 212 135 198 107 146 105 223 151 159 127 173 55 242 151 122 115 72 213 116 97 48 184 217 46 225 208 97 220 91 157 225 217 63 179 30 232 217 157 218 239 244 207 250 251 184 195 198 253 229 236 79 94 252 210 183 37 209 112 36 23 199 197 109 114 188 168 148 190 124 109 254 23 31 252 36 191 235 169 210 85 9 94 221 217 178 80 113 181 44 239 44 155 237 21 155 214 124 152 130 25 85 88 70 177 219 184 20 203 235 108 30 69 221 27 109 188 209 145 218 75 191 247 90 229 141 101 233 189 180 210 202 76 209 144 110 138 237 228 139 183 230 171 95 251 78 107 15 247 230 173 141 155 183 111 20 19 194 91 27 153 62 110 164 176 108 30 213 232 145 90 30 73 236 45 154 145 100 145 84 42 244 141 154 33 56 2 68 48 0 59 33 132 57 216 170 31 174 252 102 255 76 234 201 209 26 133 226 118 76 105 117 196 165 149 11 207 60 241 172 44 130 189 5 62 46 243 253 112 69 79 117 55 39 205 169 66 51 235 181 123 168 128 105 103 90 201 94 176 38 247 4 21 201 227 185 223 122 35 131 83 42 0 247 228 91 168 147 99 118 130 7 122 168 64 200 92 88 60 247 185 167 95 24 173 46 113 50 65 252 199 199 167 223 254 249 95 205 205 159 235 205 36 139 58 236 43 138 217 144 53 59 37 10 156 196 222 60 103 71 146 221 62 66 190 96 209 184 246 238 29 254 214 75 175 247 107 77 41 186 234 71 9 58 184 99 107 203 206 168 17 5 119 162 55 62 2 162 132 174 62 190 196 169 111 68 134 8 6 160 215 189 114 98 94 8 35 120 194 198 149 66 113 217 196 122 121 208 60 193 1 245 53 189 126 242 145 218 193 199 71 54 131 140 232 185 131 45 61 171 101 229 161 189 119 227 231 87 207 190 18 14 87 118 213 123 155 181 141 21 47 85 197 233 233 51 185 243 143 194 83 160 222 216 94 252 76 189 80 96 63 196 211 4 177 158 59 44 55 184 23 159 64 61 152 19 118 166 135 197 143 255 155 127 124 227 143 190 254 250 232 225 78 92 125 47 61 247 237 187 247 238 46 44 205 86 248 70 146 78 160 99 27 83 34 116 11 29 28 46 188 136 69 31 185 219 150 204 195 148 69 99 22 23 49 152 250 102 179 36 5 116 113 234 123 169 237 71 255 234 153 87 210 21 176 215 213 100 111 116 182 25 144 48 191 141 199 192 20 139 102 233 209 15 9 43 12 243 87 102 127 253 225 187 95 61 251 106 184 11 162 115 5 28 137 244 13 130 253 68 71 178 118 29 32 130 1 24 148 65 253 224 254 17 205 99 20 137 133 160 248 212 185 223 39 97 117 253 247 31 108 173 221 168 107 131 253 196 137 169 185 91 231 82 6 12 49 16 176 75 77 211 97 3 89 199 121 240 192 72 195 183 97 77 75 254 238 167 63 208 218 133 164 95 198 79 76 134 43 224 254 27 187 57 163 178 247 198 47 236 224 108 149 235 86 157 244 74 214 244 232 24 238 61 216 250 127 255 225 47 78 157 60 251 185 79 191 208 129 20 206 166 94 219 34 152 228 72 122 121 102 200 130 247 171 218 4 146 253 143 242 132 38 231 22 91 234 230 231 158 182 164 110 165 45 11 247 255 190 227 86 77 250 83 100 205 252 247 238 29 62 53 245 172 221 165 100 218 49 235 82 90 254 14 46 155 249 143 31 159 122 237 229 239 230 79 20 171 25 161 64 44 75 146 208 109 252 152 251 246 247 63 124 119 249 218 194 15 127 252 198 183 94 126 189 115 29 44 57 128 5 77 31 137 138 139 236 141 129 8 6 96 176 244 113 212 13 108 188 188 16 82 242 197 146 100 103 210 187 58 24 26 56 218 97 101 157 251 165 149 57 85 4 31 159 156 187 120 174 245 178 30 104 190 14 246 247 117 166 135 168 16 241 246 75 222 252 241 27 107 235 117 113 135 9 85 18 100 212 255 1 154 250 50 53 122 100 20 112 149 64 82 127 141 184 138 50 38 113 8 111 63 123 225 210 185 236 145 223 230 217 109 178 231 49 167 200 203 232 200 216 222 61 251 178 231 61 215 96 54 113 154 154 152 201 116 112 120 108 177 164 133 20 85 81 101 90 205 235 37 156 100 17 174 111 56 156 89 113 80 225 165 239 217 202 180 12 18 59 230 209 160 138 127 109 94 198 233 9 39 248 237 173 127 114 38 213 84 102 100 84 218 122 148 218 195 244 227 130 101 115 191 76 7 55 227 199 218 129 191 150 19 193 102 249 218 182 135 187 177 49 212 152 133 229 185 48 213 113 121 210 64 74 171 68 3 17 12 192 174 10 221 88 127 58 25 203 16 188 80 85 57 81 100 98 221 189 56 180 135 28 139 197 149 185 103 79 189 36 190 119 250 201 25 243 179 55 83 228 5 81 250 41 149 13 228 172 191 190 226 2 241 232 225 162 222 236 252 210 236 218 70 61 63 133 114 49 65 101 10 152 4 217 228 40 108 82 2 121 75 229 53 245 46 128 164 175 50 162 99 91 116 71 122 138 168 129 74 167 78 21 138 33 115 194 204 39 111 205 229 213 5 211 254 87 252 138 76 7 127 241 51 47 218 89 98 166 39 78 181 156 193 149 50 60 164 154 101 165 76 108 138 14 238 182 173 195 105 103 74 244 231 35 49 13 107 111 31 228 246 20 107 219 25 76 230 232 200 152 45 4 151 175 45 108 251 8 194 118 209 243 184 155 136 251 195 43 150 212 65 187 119 214 176 109 191 116 166 131 51 101 47 247 237 36 24 179 86 232 142 180 91 152 132 215 132 230 19 183 23 20 203 0 160 239 3 127 98 157 130 72 114 180 237 104 90 183 160 84 152 123 124 103 228 14 233 203 172 215 111 182 243 184 5 52 34 216 90 149 99 169 162 82 84 100 13 145 58 52 80 88 140 128 36 5 28 249 174 224 5 163 71 138 17 107 97 105 78 254 190 176 232 151 85 146 186 3 5 236 247 230 41 83 159 240 100 141 91 250 100 215 5 112 247 82 152 98 3 191 236 45 139 20 99 179 115 145 134 239 165 242 43 47 230 114 210 90 147 202 108 126 237 70 253 191 190 243 131 11 139 191 202 159 57 26 217 87 71 254 177 145 94 251 134 202 108 38 210 114 66 117 113 55 199 121 241 183 206 234 85 72 181 109 169 170 162 25 16 25 44 46 196 7 85 232 143 29 182 187 148 11 126 243 145 124 77 180 174 79 232 30 41 118 165 59 12 16 79 111 76 178 234 21 123 199 67 126 89 83 225 104 171 164 246 243 43 58 145 122 47 132 37 229 32 130 1 24 0 183 1 153 73 69 1 155 188 10 165 152 235 55 184 243 197 36 228 180 35 39 209 250 198 197 21 117 19 207 196 216 148 80 231 93 26 30 34 242 150 130 49 224 150 93 248 42 80 189 194 80 146 32 190 41 168 117 100 47 82 111 222 222 112 186 120 101 4 138 101 177 44 85 192 161 156 77 80 192 97 201 49 18 51 110 82 146 182 27 8 71 90 194 189 83 248 188 173 91 128 130 11 152 120 25 203 75 36 86 60 120 10 68 94 44 215 105 155 119 126 253 163 252 231 198 236 145 36 187 37 57 74 50 180 94 106 11 130 198 10 134 113 196 71 201 20 55 174 137 35 21 251 186 177 1 146 45 150 6 83 15 83 204 94 72 145 95 158 62 107 212 85 33 167 243 49 129 130 164 104 221 96 175 185 99 6 86 165 2 69 185 12 166 237 46 49 113 106 19 42 224 200 124 140 98 51 72 247 90 153 192 108 40 97 2 12 17 12 192 128 12 246 227 163 122 161 184 43 115 78 111 232 250 72 136 164 82 233 180 179 103 96 117 67 245 181 69 237 45 141 250 201 65 183 46 12 201 74 40 27 41 254 96 187 255 29 29 25 83 123 85 234 36 98 204 17 34 246 180 196 254 120 210 71 32 165 197 41 84 162 20 244 233 146 98 38 42 83 111 145 147 37 93 116 209 32 185 216 74 109 216 214 121 198 191 35 98 35 162 52 252 147 241 157 193 222 210 106 222 76 68 73 227 60 133 223 69 130 200 35 19 51 212 70 66 152 213 121 255 239 110 63 64 74 213 89 205 236 179 215 223 123 80 44 212 180 18 23 138 133 109 75 20 146 166 131 59 157 218 80 48 113 21 230 111 70 153 66 12 142 28 142 132 164 123 83 178 230 15 227 199 166 45 17 188 226 153 74 215 61 150 98 105 85 38 16 241 16 62 251 254 218 108 231 3 142 125 184 59 90 121 174 98 239 150 244 123 66 77 184 147 212 73 70 102 182 198 247 19 67 4 3 48 16 61 102 36 32 184 17 43 230 174 239 147 39 158 72 18 85 59 127 66 205 239 141 215 79 222 183 103 56 116 70 146 166 96 116 205 225 148 140 119 170 194 238 51 36 141 235 186 215 68 245 43 68 36 172 215 125 235 194 72 85 198 225 48 32 186 61 52 73 23 247 186 184 95 74 222 18 42 73 202 111 96 124 107 148 176 155 71 8 116 241 34 131 201 49 21 127 85 132 212 49 146 2 191 17 5 3 39 149 26 70 138 179 205 13 149 17 215 43 50 97 84 8 214 19 83 206 178 50 169 210 156 72 125 148 199 15 145 180 172 156 230 27 238 92 2 27 225 142 38 10 76 151 4 237 75 85 191 168 215 26 151 82 238 29 175 79 147 108 251 254 131 45 127 110 35 198 69 40 61 155 63 65 210 62 74 247 200 122 237 201 166 66 90 15 10 252 5 49 11 36 161 223 35 215 161 32 4 149 41 222 1 19 116 110 164 220 248 26 216 24 7 192 206 137 94 14 58 208 86 110 154 201 177 153 131 74 173 181 165 107 243 106 32 132 61 60 144 19 233 21 153 19 119 176 73 136 194 237 89 246 159 172 157 31 217 127 183 239 108 108 222 89 215 78 103 250 201 211 173 228 255 28 117 242 201 25 48 164 241 70 20 178 76 21 70 225 208 115 76 105 133 169 75 75 222 71 158 148 227 31 148 15 103 82 77 168 228 107 73 136 13 240 245 77 122 184 69 223 238 132 188 201 182 107 16 146 83 127 65 211 76 38 122 178 36 5 66 200 163 62 57 169 91 139 221 75 246 85 181 235 120 39 236 230 73 154 90 40 59 29 243 34 109 247 173 60 211 164 156 114 5 185 214 252 215 201 93 77 86 150 104 197 189 218 85 198 185 228 221 156 36 85 243 182 219 209 153 231 75 210 156 204 110 204 255 197 27 50 92 198 105 239 38 204 255 85 111 85 237 130 149 102 247 208 5 159 22 241 210 218 129 151 155 125 202 220 134 245 99 176 109 181 229 137 136 79 113 77 105 60 134 210 55 82 224 48 46 25 59 200 31 242 188 191 195 19 12 64 223 59 202 120 215 188 119 207 240 179 167 94 140 116 5 190 55 145 18 134 135 208 183 218 129 123 38 165 23 246 22 251 154 79 58 65 186 46 207 125 246 197 70 101 121 203 81 33 122 11 228 125 18 161 171 99 168 241 235 246 70 251 38 141 4 109 97 112 2 69 31 38 217 61 166 57 219 134 98 222 26 109 219 135 125 5 140 184 204 29 196 192 180 190 250 224 227 35 226 181 109 93 216 208 83 238 253 235 68 37 42 14 209 157 86 18 161 23 150 204 129 253 135 213 91 102 239 176 232 71 116 78 214 91 85 39 37 118 208 152 218 209 41 111 4 37 19 56 32 227 129 46 222 106 62 5 145 172 97 132 110 208 202 242 44 37 242 69 182 253 40 94 213 208 9 119 253 166 229 93 62 54 21 249 118 50 66 92 181 60 79 139 170 243 60 69 137 189 250 175 91 129 208 197 17 249 43 251 212 139 122 40 189 245 11 199 14 204 94 160 24 146 189 242 249 213 166 33 191 111 241 159 209 86 177 196 215 12 233 97 81 212 155 211 111 125 206 234 141 186 45 130 197 35 105 29 140 191 136 167 117 155 74 223 24 185 1 189 187 213 153 3 123 247 20 65 4 3 176 123 254 96 123 80 201 20 240 55 158 251 211 72 10 253 76 241 104 50 49 113 120 160 4 33 222 161 184 151 38 250 217 25 29 141 157 206 145 63 126 233 245 195 7 70 182 59 104 79 62 14 5 129 137 97 23 63 20 19 1 217 183 103 10 137 18 36 169 188 70 44 142 58 173 238 59 116 75 219 95 49 228 60 196 254 221 4 94 46 89 251 14 5 139 158 214 89 100 194 69 243 178 159 154 58 163 45 59 146 18 2 65 154 107 147 250 102 249 201 86 52 89 83 183 138 158 206 206 116 200 106 157 252 100 135 36 253 20 170 82 49 189 20 9 58 216 80 160 158 69 249 226 173 228 26 117 62 99 186 177 204 240 175 67 194 33 137 95 154 95 171 251 15 238 150 136 21 18 38 12 36 206 88 76 52 100 213 189 152 53 61 9 122 163 65 167 207 58 183 155 56 121 11 226 155 181 245 110 218 185 174 220 196 124 140 238 157 78 238 28 137 66 135 100 84 32 150 135 251 147 50 77 10 6 133 99 77 79 65 225 107 87 220 234 49 225 27 180 254 45 119 99 70 108 194 166 27 191 55 22 8 59 140 197 155 34 220 30 23 108 150 13 251 186 252 121 132 67 0 208 223 126 146 195 94 164 185 228 122 98 116 234 233 241 51 159 158 120 54 254 9 45 213 120 97 241 252 194 210 220 189 251 91 20 134 151 145 188 149 184 143 9 98 201 169 123 148 47 31 239 125 108 248 201 227 167 63 51 249 66 246 67 228 221 199 70 106 255 246 15 255 124 97 121 118 110 225 252 194 149 89 121 19 24 41 226 76 26 123 178 127 150 215 230 199 71 167 115 255 214 98 125 150 130 54 224 180 177 140 194 124 251 202 48 75 93 95 67 111 96 137 215 62 56 122 168 86 27 157 138 44 26 76 141 207 188 242 149 239 100 166 178 184 60 107 140 180 217 107 200 29 131 69 153 184 99 74 66 178 162 134 193 15 143 140 29 153 138 91 145 127 166 198 223 98 232 140 130 70 8 151 191 181 85 140 217 123 30 219 71 84 88 72 145 0 151 139 146 19 249 213 224 200 82 117 56 175 72 216 37 201 250 11 242 42 3 70 146 50 170 229 12 109 55 116 88 240 133 154 73 12 11 23 248 232 212 246 137 123 65 17 218 254 179 74 41 86 218 171 237 71 14 215 198 71 167 206 62 243 98 196 22 190 114 230 213 76 57 125 184 120 126 45 119 40 6 193 157 142 183 53 33 69 238 14 117 233 237 58 65 249 159 196 12 146 219 86 148 135 220 232 73 57 146 194 129 2 127 7 149 121 199 235 107 139 185 39 126 207 222 125 118 252 9 27 33 40 194 175 204 98 100 3 200 91 100 211 90 253 203 190 72 219 193 70 105 61 158 209 109 143 202 166 34 126 142 57 19 132 126 185 55 44 68 48 0 59 213 101 54 187 182 199 135 71 158 170 157 205 228 239 129 225 35 137 159 145 245 41 141 254 235 75 102 121 117 126 177 126 33 147 143 141 120 3 49 2 178 44 57 14 245 244 132 90 191 31 24 30 121 242 216 204 83 227 103 142 30 172 80 33 51 211 49 217 35 147 245 23 22 207 189 255 209 187 118 134 7 49 144 163 181 146 40 204 233 155 255 94 191 177 146 139 224 218 232 228 37 55 77 91 30 111 154 166 130 229 48 77 59 208 121 252 248 84 125 109 161 76 200 196 28 69 52 164 180 72 160 63 78 214 102 78 158 56 149 201 136 3 251 143 36 94 85 211 168 186 52 155 13 123 11 245 134 169 248 73 15 72 118 3 203 123 143 118 106 114 120 228 96 237 169 218 153 76 254 38 90 145 127 166 225 77 17 10 41 235 164 108 17 124 244 208 152 105 75 19 246 167 171 69 128 120 30 49 28 46 29 148 184 183 163 105 22 34 127 180 235 179 92 223 92 177 23 110 227 225 0 164 235 84 59 28 98 244 112 237 192 227 35 13 11 225 180 201 94 60 236 193 94 144 121 108 120 236 232 84 102 183 181 163 73 118 187 119 207 240 231 63 253 229 236 145 117 8 217 196 102 121 109 113 113 121 238 94 123 175 152 16 155 33 173 119 211 142 237 239 20 107 10 42 245 131 188 16 115 123 54 117 235 206 122 126 113 70 71 106 215 111 212 57 239 166 74 235 89 104 57 149 19 28 31 89 187 215 87 23 90 179 253 252 216 68 29 28 159 108 120 219 79 179 225 41 215 217 147 19 51 139 245 217 176 147 169 180 151 145 116 165 27 30 161 152 132 216 11 253 162 192 86 9 34 24 128 157 145 194 185 211 235 233 241 179 95 152 126 169 179 143 105 169 225 189 123 246 253 106 238 109 47 75 154 239 219 147 194 34 123 171 130 91 138 33 235 58 159 174 157 253 194 83 29 158 81 107 240 187 247 224 238 47 103 223 14 187 54 127 211 3 169 110 170 134 68 104 243 204 201 179 239 125 240 150 173 78 41 186 59 135 66 77 35 237 19 202 180 66 46 130 15 62 62 178 114 61 201 177 71 241 159 75 29 108 198 124 227 75 223 233 224 194 182 52 98 195 84 46 188 109 220 52 17 113 55 48 237 140 95 45 152 28 62 247 204 43 99 71 166 187 61 83 35 200 95 251 164 114 211 186 125 183 16 193 181 163 141 164 37 153 252 10 107 117 145 103 69 148 236 129 75 169 245 26 221 127 185 103 207 112 109 180 184 32 247 127 183 69 105 69 212 72 183 225 214 231 216 218 235 153 39 207 158 251 240 237 4 25 34 159 8 41 5 210 178 121 197 31 124 241 59 157 117 8 207 76 62 155 61 254 246 206 247 27 121 102 36 211 165 168 22 20 166 34 125 179 231 194 7 76 238 62 179 176 243 207 107 89 115 81 67 110 115 107 35 111 136 131 251 71 174 223 172 19 87 152 136 82 216 232 58 246 172 111 244 240 137 194 19 236 234 224 237 165 143 132 89 125 184 247 122 121 181 112 54 127 238 233 231 11 79 68 36 160 60 189 154 121 126 154 154 244 23 211 228 219 10 88 12 11 70 138 52 0 250 52 196 155 72 189 202 238 37 245 144 31 42 71 162 131 68 41 177 209 65 82 88 50 21 18 152 119 112 185 156 144 223 33 43 246 215 56 221 95 184 121 174 245 184 124 117 206 246 66 53 74 55 187 161 144 241 148 61 190 35 88 218 162 97 175 247 213 142 77 106 209 123 177 40 55 19 59 157 60 12 206 11 50 238 114 144 46 46 215 144 63 71 146 247 142 4 234 170 143 74 162 119 161 234 194 174 74 47 80 216 21 82 182 38 200 56 121 226 180 113 175 149 31 125 30 73 52 150 216 250 225 99 40 246 215 223 63 243 90 254 13 245 235 243 170 245 14 5 91 123 236 231 243 135 245 201 139 214 205 242 217 233 23 26 85 96 134 74 14 198 40 55 145 119 250 106 42 171 14 26 116 200 202 137 62 36 197 184 7 145 238 59 227 5 86 39 60 90 118 115 47 130 217 178 73 59 163 194 201 218 41 175 167 234 73 88 112 254 176 55 43 79 214 102 236 141 19 94 2 25 50 177 34 204 36 229 35 107 189 247 82 189 176 171 241 209 233 236 91 194 173 201 97 68 123 185 213 13 169 221 181 81 210 102 83 84 1 123 81 194 16 193 0 244 190 67 20 158 233 225 120 111 172 241 96 72 16 196 158 54 141 185 129 169 139 51 234 97 66 34 123 99 153 219 241 249 253 239 144 164 0 154 37 0 46 93 45 66 32 206 62 243 210 248 177 41 103 131 154 50 204 103 159 227 236 74 84 54 53 103 63 172 111 94 45 156 205 79 60 123 180 93 196 139 210 30 83 181 153 131 251 71 156 107 56 164 246 245 212 131 68 249 254 233 136 115 39 193 84 250 89 125 64 156 28 246 202 247 236 111 10 28 18 182 34 217 67 242 202 122 81 138 226 185 211 175 30 61 84 51 97 218 65 123 127 125 251 135 136 193 120 175 204 222 155 189 56 102 24 67 242 35 155 197 77 142 21 251 2 27 49 12 81 125 16 153 95 133 95 119 249 154 51 99 252 230 11 175 239 219 51 44 31 140 100 144 123 247 12 139 91 175 98 53 20 59 54 221 33 203 116 135 164 228 119 36 69 130 246 91 239 26 185 194 37 41 133 75 228 233 217 144 169 175 23 117 133 26 89 50 31 31 177 123 170 120 127 178 175 177 80 48 21 235 184 220 93 101 43 86 250 246 172 5 95 248 220 43 161 240 37 111 43 36 5 105 88 66 103 176 117 106 107 55 235 155 119 214 243 191 127 253 236 107 159 62 121 86 221 21 55 148 208 109 14 73 73 114 164 187 222 72 25 136 41 162 128 173 127 17 14 1 192 78 8 99 238 233 199 121 93 63 233 79 118 236 250 45 63 163 222 157 85 184 200 101 196 136 180 33 223 191 98 191 254 210 213 185 147 39 10 221 240 234 243 223 253 104 233 87 231 63 250 201 230 214 70 184 67 168 118 116 234 200 161 90 237 232 164 253 150 166 38 216 167 121 6 188 34 32 153 116 248 241 47 127 96 63 201 238 213 200 228 197 209 67 99 217 23 141 141 78 214 142 78 135 142 46 109 166 81 94 20 163 18 67 129 155 42 110 42 125 82 17 36 45 208 115 239 238 13 18 42 240 81 84 157 92 190 118 33 15 192 200 26 235 149 231 94 255 249 133 183 50 43 186 255 96 139 189 157 112 205 192 247 70 83 30 153 60 57 54 99 239 216 107 252 172 196 197 182 212 198 183 190 246 189 108 134 118 253 102 125 101 125 241 214 157 141 91 91 27 153 162 181 203 182 217 52 54 5 30 157 58 251 233 23 189 13 3 191 93 58 79 250 42 57 105 129 67 138 134 91 89 95 184 181 181 158 127 69 166 254 255 245 75 127 246 222 108 227 220 213 3 219 63 114 244 96 109 236 255 103 239 90 154 163 58 174 112 159 216 226 37 21 35 8 26 160 132 164 34 24 65 28 25 151 13 4 151 177 93 174 144 133 203 164 146 20 89 217 155 20 203 236 178 204 63 136 127 66 118 100 149 169 108 240 38 193 69 85 128 196 17 229 226 141 145 72 64 96 235 29 51 35 96 102 40 137 12 8 165 115 238 220 153 158 190 253 184 175 185 119 102 36 206 169 91 48 154 71 223 219 221 95 159 254 186 251 60 182 12 100 123 7 151 87 42 231 174 231 66 114 196 102 116 130 33 13 138 215 229 81 95 141 67 186 32 246 133 182 48 43 183 197 192 22 112 170 127 180 80 154 145 129 244 193 155 39 176 23 106 42 5 12 90 5 191 227 128 112 203 0 210 95 103 205 102 89 94 218 134 222 108 97 66 172 172 246 244 59 14 217 183 238 93 92 124 90 230 210 147 65 61 126 240 142 109 131 175 237 26 25 220 57 108 110 81 75 76 110 44 240 221 3 199 5 248 223 29 57 190 167 127 228 238 244 53 188 181 106 74 4 13 104 117 87 97 191 165 39 139 47 190 184 124 138 249 30 159 214 2 26 10 228 219 204 133 149 141 121 83 110 78 87 136 4 147 144 164 166 25 53 159 137 100 182 72 132 249 151 114 220 99 162 53 134 13 18 104 178 86 201 215 72 55 237 234 222 152 65 69 191 127 232 144 248 202 193 125 199 238 206 94 197 25 66 62 200 150 21 220 228 131 177 125 131 135 100 183 170 31 236 60 128 23 206 235 165 170 71 60 111 232 220 6 195 64 54 208 245 234 6 65 107 246 15 29 94 183 110 253 92 225 190 188 175 236 222 162 180 148 71 42 35 230 30 252 9 242 108 151 223 148 28 90 83 59 217 236 222 184 25 85 185 114 151 234 102 94 94 158 183 142 29 252 4 153 141 67 71 196 49 101 10 161 158 140 137 112 35 65 37 85 66 44 216 67 243 180 73 29 20 22 250 43 79 153 147 249 177 183 94 59 38 51 140 35 251 143 31 217 207 138 139 249 101 47 23 148 141 149 177 199 21 6 137 203 161 185 133 251 147 223 141 41 12 18 92 151 187 26 119 25 210 23 66 206 86 116 157 226 116 107 128 105 124 173 56 93 90 204 219 66 67 32 224 119 239 28 201 74 133 191 243 250 199 119 103 175 21 138 51 88 17 253 251 238 255 55 238 157 127 239 141 19 114 221 223 121 253 184 59 28 20 67 145 174 87 54 40 124 171 86 172 111 128 20 128 36 181 156 2 81 61 187 181 178 183 215 34 26 44 41 67 145 228 101 211 250 76 255 214 97 25 48 239 141 156 152 204 143 59 250 196 219 98 188 218 146 10 150 80 165 224 59 139 255 45 23 138 141 77 98 87 165 224 167 242 234 203 5 155 120 103 223 208 161 231 43 207 156 78 151 162 127 200 143 138 212 22 23 57 242 241 2 242 96 188 30 63 201 23 159 228 221 164 199 220 81 143 155 123 54 101 172 17 157 149 76 76 154 61 213 183 255 25 123 115 239 81 217 21 82 32 63 95 156 86 186 166 235 85 21 90 204 55 208 178 227 129 221 55 140 104 23 111 227 235 165 103 229 185 135 247 228 1 11 150 116 143 182 60 29 68 130 73 72 90 187 91 144 212 89 161 113 108 91 104 77 96 56 163 24 123 121 9 214 8 152 186 203 251 203 247 127 163 124 7 213 37 206 211 72 8 206 221 200 153 91 131 177 75 255 62 243 209 225 147 202 135 85 71 117 179 78 255 246 187 91 248 147 93 219 134 223 63 112 66 161 206 185 115 159 233 77 118 253 222 185 99 111 127 170 20 110 228 55 178 224 116 117 254 122 14 39 167 143 126 124 82 40 125 247 87 227 147 163 99 147 163 86 74 145 132 23 35 128 253 232 54 4 84 210 221 17 22 236 33 145 251 130 253 156 218 180 8 92 94 169 220 158 30 213 189 84 125 194 83 96 39 34 96 144 38 254 234 131 223 42 211 60 242 212 66 105 38 210 50 38 140 35 32 130 231 210 157 51 230 48 130 78 9 131 63 121 235 83 229 39 72 170 222 222 123 12 25 246 249 155 57 91 177 115 143 38 38 31 220 218 189 227 128 254 219 192 168 53 216 62 173 136 195 224 131 79 176 47 234 88 242 43 201 48 202 208 253 187 47 51 248 225 136 218 29 253 219 134 241 26 159 26 69 176 201 121 7 221 231 87 86 35 162 11 252 85 10 42 174 27 19 231 251 251 246 186 75 23 87 17 29 28 118 86 116 168 184 12 39 43 213 45 106 92 167 29 216 163 30 50 108 221 188 221 24 165 254 113 57 63 122 243 12 254 240 231 31 158 52 110 58 128 150 224 221 125 231 31 55 63 255 233 225 79 244 248 134 254 53 18 210 179 49 163 44 195 196 93 142 252 240 99 101 200 96 93 156 133 43 99 127 254 251 103 254 62 145 62 153 234 200 38 152 132 36 5 5 169 191 78 110 83 173 97 13 172 219 63 153 242 129 89 51 184 66 167 212 72 73 54 225 31 255 201 96 230 88 111 132 210 82 254 210 157 191 134 188 39 146 128 203 119 206 224 111 11 229 25 219 28 44 252 138 220 123 45 148 103 112 50 139 84 179 26 3 94 204 99 33 6 229 238 239 71 149 8 18 141 190 98 233 65 37 58 138 18 41 95 25 20 13 87 42 102 74 200 87 191 38 230 175 150 22 243 33 111 129 157 136 180 18 49 134 236 89 182 39 246 144 54 239 165 111 116 69 146 165 74 233 252 141 28 194 198 6 248 72 237 166 128 11 193 143 67 32 222 131 53 204 130 149 242 109 190 131 177 215 111 222 252 106 0 190 228 152 165 160 154 66 194 56 104 243 91 25 125 224 93 141 68 186 191 187 116 127 254 191 74 105 169 16 74 67 74 119 255 242 235 207 109 22 47 30 173 181 92 185 112 245 116 241 73 254 241 147 188 1 67 204 16 152 72 28 72 226 66 241 203 155 167 195 220 197 40 221 27 51 97 243 122 234 157 162 152 14 203 46 137 204 106 101 71 36 152 132 164 21 218 50 201 61 9 176 208 95 155 17 100 114 161 130 211 174 145 57 195 176 255 100 238 157 125 167 242 99 231 191 254 19 178 135 64 6 92 219 96 3 103 71 208 112 147 239 153 61 181 145 4 143 142 159 14 44 191 193 128 111 228 74 79 243 53 215 58 203 164 37 31 85 67 164 166 8 185 186 48 121 138 164 13 149 240 40 2 72 126 80 48 166 241 126 102 72 160 141 93 127 97 44 55 255 104 34 12 3 190 112 51 231 64 197 215 113 94 41 127 254 225 4 2 198 192 152 67 32 7 127 120 246 234 31 145 115 27 217 64 152 32 12 129 161 42 46 223 61 115 227 155 115 145 248 10 214 232 50 174 51 131 242 219 37 192 129 21 232 218 242 126 131 239 226 173 5 234 61 116 173 141 161 142 33 98 47 56 75 247 187 103 234 250 36 239 223 233 58 53 68 24 159 187 150 147 45 19 140 12 248 236 87 57 55 24 14 152 82 81 128 215 213 27 188 28 212 73 204 81 156 249 226 210 41 213 162 44 196 146 239 238 220 149 146 20 236 82 245 185 12 132 58 211 66 161 123 125 127 141 161 208 201 28 130 132 36 29 5 41 172 30 165 147 51 28 147 79 159 149 23 202 53 29 196 61 255 133 87 22 101 179 223 155 230 227 111 8 236 31 123 154 74 179 70 88 130 162 227 108 27 174 79 43 229 192 67 207 133 242 204 95 46 255 97 247 246 55 250 183 237 237 237 206 42 22 192 216 122 243 143 238 79 204 93 1 169 22 182 219 25 155 11 57 19 94 253 219 134 177 240 108 239 0 190 211 219 227 49 215 115 141 74 139 139 133 169 7 227 242 68 85 40 169 27 201 133 242 12 4 153 2 199 160 80 50 84 204 24 72 21 42 17 17 229 62 134 188 66 224 9 14 10 83 21 228 54 127 177 82 185 248 175 211 78 170 142 236 72 111 79 54 155 25 82 200 104 105 49 143 207 54 62 117 177 22 169 183 250 96 19 115 215 10 146 107 127 163 169 189 183 67 96 223 158 30 189 93 237 192 45 61 219 187 55 100 50 14 32 29 19 79 86 181 113 20 224 116 145 185 252 226 25 194 6 81 33 92 166 252 231 126 183 124 107 215 135 232 184 123 243 87 240 234 255 254 112 95 239 64 117 176 100 244 241 130 87 105 105 33 208 222 67 190 219 242 202 179 102 112 235 148 80 53 178 143 106 223 233 51 108 211 82 239 114 155 99 119 204 142 26 160 203 29 165 196 228 148 61 114 126 56 231 68 226 10 94 187 234 189 224 24 203 122 109 114 220 198 156 127 120 31 105 98 128 158 180 244 8 175 187 112 56 60 248 122 110 75 247 246 93 125 123 179 91 7 240 94 91 235 231 21 15 30 77 23 159 20 190 153 27 47 62 201 27 170 103 10 179 160 123 102 187 239 35 102 254 121 235 116 207 166 12 234 73 84 146 235 186 214 235 198 63 110 165 22 74 179 216 110 85 103 205 178 31 230 157 13 142 241 133 242 108 200 181 181 110 177 3 150 12 118 240 139 223 19 97 33 33 73 65 56 179 242 66 238 121 179 230 255 203 163 51 0 109 154 247 63 247 105 118 122 72 182 70 60 32 29 18 11 34 187 16 243 241 109 127 71 217 189 12 123 143 176 101 198 172 11 143 112 163 240 70 114 9 64 165 93 227 194 254 228 33 247 155 133 51 62 146 3 199 219 134 107 29 203 35 163 5 2 1 194 195 54 53 52 3 206 164 112 27 245 249 120 92 220 198 130 110 139 2 68 240 160 26 113 3 102 56 15 219 248 188 201 174 81 180 43 247 140 32 231 49 120 237 223 218 55 235 127 54 70 89 189 132 95 255 236 119 130 34 159 253 42 199 148 132 20 90 188 14 80 178 240 48 123 128 121 223 161 1 177 84 177 49 88 132 95 14 103 218 9 38 33 73 75 52 23 120 79 138 172 250 210 156 89 146 84 69 102 81 16 106 213 219 212 244 144 80 141 184 248 9 15 174 90 130 179 62 48 205 179 47 145 105 62 141 50 67 214 5 58 21 42 177 81 196 61 209 166 60 40 226 113 194 90 71 115 225 226 141 239 191 112 141 100 64 3 15 52 213 185 96 164 53 144 12 78 226 25 150 112 222 138 216 186 49 113 27 17 186 173 11 140 166 195 88 83 5 34 75 168 248 84 121 96 110 71 20 196 153 15 36 70 46 154 130 55 30 175 150 16 142 171 153 156 101 96 55 146 39 131 1 171 74 190 122 80 44 34 116 6 108 203 105 108 236 92 158 16 218 33 104 51 133 66 164 145 144 180 94 81 50 45 176 110 45 117 187 54 38 35 205 73 134 67 31 211 170 55 177 172 117 73 212 8 36 77 29 123 202 143 49 223 167 53 217 39 151 243 44 213 186 180 26 42 77 172 166 84 39 250 136 59 98 214 208 161 190 203 24 174 109 76 1 4 147 149 214 3 6 32 209 242 121 64 129 156 55 75 178 155 31 131 225 143 182 83 135 174 143 50 100 118 251 1 174 161 203 183 229 99 107 42 217 214 130 123 23 30 158 72 198 172 182 218 4 153 19 215 7 93 131 7 51 75 92 33 99 78 114 11 3 182 25 180 68 194 45 64 52 180 91 111 100 218 91 33 18 76 66 210 10 69 201 164 168 233 134 41 159 5 237 125 134 220 101 105 193 220 144 68 141 66 106 249 168 186 175 37 100 53 101 180 164 87 151 214 67 37 210 106 42 193 113 161 111 190 134 88 110 129 196 78 56 107 119 38 222 150 225 24 154 160 200 45 27 131 254 102 45 109 97 192 70 101 200 76 91 194 204 179 47 203 164 163 176 100 91 73 221 107 168 179 216 70 96 119 46 101 168 241 238 68 184 196 183 193 131 77 149 200 63 158 101 198 116 196 96 200 154 97 78 37 221 76 170 209 144 150 66 65 12 91 247 237 38 18 76 66 210 82 69 105 157 242 133 138 132 232 154 33 204 196 192 18 221 202 106 174 70 0 97 237 59 195 126 14 214 89 156 201 251 52 171 136 6 219 205 43 227 213 165 61 80 105 134 64 152 142 116 35 84 22 226 63 24 40 13 14 171 10 36 205 136 98 234 10 81 30 38 104 24 198 30 131 254 30 2 109 128 174 175 50 244 0 134 135 120 224 132 52 21 24 9 49 111 184 50 215 178 217 129 180 13 44 103 252 168 243 96 153 55 155 119 37 148 156 213 38 6 236 9 231 204 152 45 93 92 43 96 239 179 138 166 232 16 36 36 45 157 181 252 137 163 143 138 140 100 31 214 154 137 33 118 141 184 54 79 164 58 211 67 90 13 16 137 82 36 246 16 201 230 179 104 59 135 208 87 83 204 106 94 153 28 115 140 220 101 192 94 26 73 105 188 132 105 70 30 217 54 186 205 244 215 162 12 13 96 102 17 214 252 16 9 159 204 76 157 193 75 133 27 214 192 208 8 19 161 27 7 11 67 8 177 234 80 18 130 128 30 143 40 144 1 7 122 200 165 187 76 12 246 42 33 18 76 66 210 1 84 216 95 81 66 19 99 30 58 172 70 233 177 210 32 207 244 54 82 138 4 74 72 193 127 191 35 56 132 9 66 204 103 47 45 217 185 80 199 11 116 18 126 90 0 176 52 42 11 177 202 132 213 6 221 112 84 88 252 193 19 105 121 8 122 91 243 202 16 86 16 141 173 95 193 131 197 6 176 215 6 88 56 204 237 216 58 40 10 118 18 188 107 129 129 13 12 216 152 167 157 89 227 217 165 129 124 136 242 25 145 96 18 146 142 152 245 89 19 167 174 105 5 78 74 169 70 9 206 139 129 95 129 213 65 102 130 43 5 201 212 162 205 80 9 205 245 33 36 123 72 154 31 234 236 138 175 22 132 36 87 40 79 26 90 60 189 42 67 7 119 12 143 204 204 98 54 148 233 216 196 24 171 167 65 121 237 60 88 126 212 158 77 25 81 176 39 70 59 104 73 227 152 33 50 90 0 253 133 86 33 223 247 55 68 130 73 72 58 69 87 182 238 204 183 189 53 130 54 63 221 218 64 205 218 108 17 211 6 112 27 198 5 95 107 200 105 47 52 224 229 28 204 209 183 0 98 59 14 234 113 133 61 177 122 20 131 96 59 15 174 149 86 47 36 187 117 64 20 92 92 44 24 220 221 64 13 4 97 102 192 62 97 200 219 141 13 34 193 36 36 171 79 87 118 250 76 144 184 101 194 234 101 34 60 229 90 240 53 218 116 16 171 190 157 17 197 140 36 25 232 174 201 142 72 39 179 137 106 71 196 27 60 213 99 14 161 56 198 201 60 216 243 59 71 214 117 109 24 200 14 187 197 62 127 81 169 101 76 100 166 232 16 150 63 141 12 24 58 172 127 137 4 147 144 172 81 93 73 53 122 25 106 13 212 158 36 212 149 212 110 214 8 238 130 236 50 221 49 206 203 131 153 148 205 4 255 217 55 120 72 100 131 47 20 103 12 6 193 204 19 42 216 28 25 205 150 34 174 99 122 159 72 48 9 9 9 9 9 9 9 201 234 39 199 34 13 141 137 7 247 109 30 92 170 148 241 18 111 202 60 88 112 105 228 190 35 187 143 238 27 56 44 202 158 123 120 15 124 210 86 219 2 65 24 25 112 135 45 126 136 4 147 144 144 144 144 144 144 144 172 9 42 204 13 175 221 151 63 26 60 218 151 25 90 170 148 144 7 47 148 103 241 253 210 98 225 217 139 138 251 181 238 13 25 188 122 123 178 217 222 65 177 7 204 170 182 16 243 18 9 102 26 27 54 7 130 88 13 12 152 72 48 9 9 9 9 9 9 9 201 154 37 195 53 170 202 89 111 247 246 42 217 237 197 43 219 59 20 178 168 241 169 139 203 43 21 115 222 190 64 6 220 161 212 151 72 48 9 9 9 9 9 9 9 201 26 230 191 222 215 93 210 254 110 72 153 124 112 107 98 238 74 131 203 42 244 151 69 241 132 235 72 46 76 36 152 132 132 132 132 132 132 132 100 205 146 97 148 174 87 34 51 224 241 169 209 219 211 163 160 197 247 85 108 27 68 80 8 102 138 134 214 225 66 36 152 132 132 132 132 132 132 132 100 45 115 225 229 149 202 223 110 158 234 203 12 102 186 251 122 187 183 187 166 17 70 41 148 166 231 31 221 159 127 52 225 184 208 25 19 245 249 56 201 121 191 211 225 219 192 40 255 23 96 0 58 23 253 19 10 117 54 134 0 0 0 0 73 69 78 68 174 66 96 130 )! !

!AMPWebStyle methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 16:21'!
addSuperStyles
	"if false, don't add css methods from superclasses"
	^false! !

!AMPWebStyle methodsFor: 'as yet unclassified' stamp: 'SW 11/9/2010 15:26'!
css
 ^ ' 
	body {
	font-family: Verdana, Arial;
	font-size: 12pt;
	
	color: black;
	background: #4f8700;
	margin: 0; border: 0; padding: 0;
	color:white;
	}
	a {
		color:white;
	}
	#header {
		width:100%;
		background-position:bottom right;
		height:220px;
	  background-repeat:no-repeat;
	}
	#header img {
		float:right;
		margin-top:-70px;
	}
	#content {
		padding-left:10px;
		margin:0px 50px;
	}
	#container div.folder {
		padding-left:20px;	
		position:relative;
		font-size: 15pt;
	}
	#container div.file {
		font-size:12pt;
		padding-left:50px;	
	
		height:30px;
	}

	#container div.folder div.folder,
		#container div.file div.file {
		padding-left:0px;	

	}
	
	#container a {
		margin-right:4px;
		text-decoration:none;
		font-size:28pt;		
	}
	a.playRemote,a.playStream,audio {
		position:absolute;
		font-size:12pt !!important;
	}
	a.playRemote {	left:700px; }
	a.playStream, audio {	left:820px; }

	div.fileuploader  {
		display:inline;
		margin-left:40px;
		
	}


	div.fileuploader a {
		font-size:13pt !!important;
		color:#dcdcdc;
	}
	div.fileuploader div {
		display:inline;
		}
	'! !

!AMPWebStyle methodsFor: 'imgs' stamp: 'SW 11/9/2010 13:18'!
headerElement
	|e|
	e _  WebElement new id:'header'.
	e addJpeg: #AMPBannerJPG.
	^e  ! !

!AMPWebStyle methodsFor: 'as yet unclassified' stamp: 'SW 11/8/2010 13:11'!
pageFrameWith: aWebElement title: aTitleString
	"set a web page with standard  page look (navigation bar, header) "
	^self pageFrameWith: aWebElement wide: WebElement new title: aTitleString! !

!AMPWebStyle methodsFor: 'as yet unclassified' stamp: 'SW 11/8/2010 13:31'!
pageFrameWith: aWebElement wide: aWideElement title: aTitleString
	"set a web page with standard  page look (navigation bar, header) "
	"Wide element comes below besides navigation and it have full page width"
	| e content|
	self app clear; title: aTitleString.
	content :=  WebElement newId:#content.
	content  add: aWebElement.
				
	e := (WebElement newId: #container).
	e 	add: self headerElement;
		add: content.

	^self app add: e; yourself! !
